Barra degli strumenti Debug

Contiene pulsanti per la selezione rapida di alcuni comandi di menu utilizzati di frequente per il debug del codice.

Per eseguire l'operazione associata al pulsante, è sufficiente fare clic sul pulsante desiderato. Per visualizzare la descrizione dei comandi dei pulsanti della barra degli strumenti, selezionare la casella di controllo Mostra descrizione comandi nella scheda Generale della finestra di dialogo Opzioni.

Pulsanti della barra degli strumenti

Modalità progettazione

Attiva e disattiva la modalità progettazione.

Esegui Sub/UserForm o Esegui macro

Esegue la routine corrente se il cursore si trova in una routine, esegue il form utente se è attivo un form utente oppure esegue una macro se non sono attivi né la finestra del codice né un form utente.

Interrompi

Interrompe l'esecuzione di un programma e passa in modalità interruzione.

Ripristina

Svuota lo stack di esecuzione e le variabili a livello di modulo e ripristina il progetto.

Imposta/rimuovi punto di interruzione

Imposta o rimuove un punto di interruzione in corrispondenza della riga corrente.

Esegui istruzione

Esegue il codice un'istruzione alla volta.

Esegui istruzione/routine

Esegue il codice una routine o un'istruzione alla volta nella finestra del codice.

Esci da istruzione/routine

Esegue le righe non ancora eseguite della routine in cui si trova il punto di esecuzione.

Finestra Variabili locali

Visualizza la finestra Variabili locali.

Finestra Immediata

Visualizza la finestra Immediata.

Finestra Espressioni di controllo

Visualizza la finestra Espressioni di controllo.

Controllo immediato

Visualizza la finestra di dialogo Controllo immediato in cui viene visualizzato il valore corrente dell'espressione selezionata.

Stack di chiamate

Visualizza la finestra di dialogo Stack di chiamate in cui vengono visualizzate le chiamate alle routine attive, ovvero le routine la cui esecuzione è iniziata ma non è stata completata.


Barra degli strumenti Modifica

Contiene pulsanti che è possibile utilizzare per scegliere in modo rapido alcuni comandi di menu comuni. Viene utilizzata in genere per le operazioni di modifica del codice.

Per eseguire l'operazione associata al pulsante, è sufficiente fare clic sul pulsante desiderato. Per visualizzare la descrizione dei comandi dei pulsanti della barra degli strumenti, selezionare la casella di controllo Mostra descrizione comandi nella scheda Generale della finestra di dialogo Opzioni.

Pulsanti della barra degli strumenti

Elenca proprietà/metodi

Visualizza nella finestra del codice l'elenco delle proprietà e dei metodi che è possibile applicare all'oggetto che precede il punto (.).

Elenca costanti

Visualizza nella finestra del codice l'elenco delle costanti valide per la proprietà digitata che precede il segno di uguale (=).

Informazioni rapide

Visualizza la sintassi di una variabile, una funzione, un metodo o una routine, in base alla posizione del puntatore. Se, ad esempio, il puntatore si trova sul nome di un metodo, verrà visualizzata la sintassi di tale metodo.

Informazioni parametri

Visualizza nella finestra del codice un riquadro popup che contiene informazioni sui parametri della funzione in cui è posizionato il puntatore.

Completa parola

Consente di accettare i caratteri che vengono aggiunti automaticamente a una parola mentre questa viene digitata.

Aumenta rientro

Sposta tutte le righe selezionate nella posizione di tabulazione successiva.

Riduci rientro

Sposta tutte le righe selezionate nella posizione di tabulazione precedente.

Imposta/rimuovi punto di interruzione

Imposta o rimuove un punto di interruzione in corrispondenza della riga corrente.

Commento

Inserisce il carattere di commento all'inizio di ciascuna riga del blocco di testo selezionato.

Rimuovi commento

Rimuove il carattere di commento da tutte le righe del blocco di testo selezionato.

Imposta/rimuovi segnalibro

Imposta o rimuove un segnalibro in corrispondenza della riga corrente nella finestra del codice.

Segnalibro successivo

Sposta lo stato attivo sul segnalibro successivo nello stack dei segnalibri.

Segnalibro precedente

Sposta lo stato attivo sul segnalibro precedente nello stack dei segnalibri.

Rimuovi segnalibri

Rimuove tutti i segnalibri.


Barra degli strumenti standard

Contiene pulsanti che è possibile utilizzare per scegliere in modo rapido alcuni comandi di menu comuni.

Per eseguire l'operazione associata al pulsante, è sufficiente fare clic sul pulsante desiderato. Per visualizzare la descrizione dei comandi dei pulsanti della barra degli strumenti, selezionare la casella di controllo Mostra descrizione comandi nella scheda Generale della finestra di dialogo Opzioni.

Pulsanti della barra degli strumenti

Visualizza <applicazione host>

Consente di passare alternativamente all'applicazione host e al documento Visual Basic attivo.

Inserisci

Visualizza un menu con il quale è possibile inserire gli oggetti indicati di seguito nel progetto corrente. L'icona rappresenta l'ultimo oggetto inserito. L'impostazione predefinita è l'icona che rappresenta i form.

— UserForm

— Modulo

— Modulo di classe

— Routine

Salva <nome documento host>

Salva il documento host, compresi il progetto e i relativi componenti, ovvero form e moduli.

Taglia

Rimuove il testo o il controllo selezionato e lo inserisce negli Appunti.

Copia

Copia negli Appunti il testo o il controllo selezionato.

Incolla

Inserisce il contenuto degli Appunti in corrispondenza della posizione corrente.

Trova

Apre la finestra di dialogo Trova che consente di cercare il testo specificato nella casella Trova.

Annulla

Annulla l'ultima operazione di modifica eseguita.

Ripeti

Ripristina le ultime operazioni annullate con il comando Annulla se non è stata eseguita alcuna operazione da quando è stato scelto il comando Annulla.

Esegui Sub/UserForm o Esegui macro

Esegue la routine corrente se il cursore si trova in una routine, esegue il form utente se è attivo un form utente o esegue una macro se non è attiva né la finestra del codice né un form utente.

Interrompi

Interrompe l'esecuzione di un programma e passa in modalità interruzione.

Reimposta <progetto>

Svuota le variabili a livello di modulo dello stack di esecuzione e ripristina il progetto.

Modalità progettazione

Attiva e disattiva la modalità progettazione.

Gestione progetti

Apre Gestione progetti, in cui viene visualizzato un elenco gerarchico dei progetti aperti e del loro contenuto.

Finestra Proprietà

Visualizza la finestra Proprietà in cui sono elencate le proprietà del controllo selezionato.

Visualizzatore oggetti

Visualizza il Visualizzatore oggetti in cui sono elencate le librerie degli oggetti, le librerie dei tipi, le classi, i metodi, le proprietà, gli eventi e le costanti che è possibile utilizzare nel codice, nonché i moduli e le routine definite per il progetto.

Casella degli strumenti

Visualizza o nasconde la casella degli strumenti in cui sono disponibili tutti i controlli e gli oggetti inseribili, ad esempio Microsoft Excel Chart, che è possibile utilizzare nell'applicazione creata. Questo comando è disponibile solo se è attivo un form utente.

Assistente di Office

Visualizza l'Assistente di Office che consente di ottenere informazioni della Guida sul comando, la finestra di dialogo o la finestra attivi.


Barra degli strumenti UserForm

Include i pulsanti per l'esecuzione rapida delle operazioni con i form eseguite più di frequente.

Facendo clic su un pulsante della barra degli strumenti, è possibile eseguire l'operazione corrispondente. Se per i pulsanti della barra degli strumenti si desidera visualizzare le descrizioni dei comandi, è possibile selezionare l'opzione Mostra descrizione comandi nella scheda Generale della finestra di dialogo Opzioni.

Pulsanti della barra degli strumenti

Porta in primo piano

Sposta gli oggetti selezionati davanti a tutti gli altri oggetti di un form.

Porta in secondo piano

Sposta gli oggetti selezionati dietro a tutti gli altri oggetti di un form.

Raggruppa

Crea un gruppo che include gli oggetti selezionati.

Annulla raggruppamento

Separa gli oggetti che sono stati in precedenza raggruppati.

Allinea

  • A sinistra: consente di allineare gli oggetti selezionati in base ai bordi sinistri.

  • Asse verticale: consente di allineare gli oggetti selezionati in base agli assi verticali.

  • A destra: consente di allineare gli oggetti selezionati in base ai bordi destri.

  • In alto: consente di allineare gli oggetti selezionati in base ai bordi superiori.

  • Asse orizzontale: consente di allineare gli oggetti selezionati in base agli assi orizzontali.

  • In basso: consente di allineare gli oggetti selezionati in base ai bordi inferiori.

  • Alla griglia: consente di allineare l'angolo superiore sinistro dell'oggetto selezionato al punto della griglia più vicino. Le dimensioni dell'oggetto rimangono invariate.

Centrato

  • Asse verticale: consente di centrare orizzontalmente gli oggetti selezionati.

  • Asse orizzontale: consente di centrare verticalmente gli oggetti selezionati.

Rendi uguale

  • Larghezza: consente di regolare la larghezza.

  • Altezza: consente di regolare l'altezza.

  • Entrambe: consente di regolare altezza e larghezza.

Zoom

Riduce o ingrandisce la visualizzazione di tutti i controlli dell'oggetto UserForm. È possibile impostare un valore compreso tra 10 e 400%.


Comandi Annulla e Ripeti (menu Modifica)

Annulla

Annulla l'ultima operazione di modifica, ad esempio la digitazione di testo nella finestra del codice o l'eliminazione di controlli. Se si eliminano uno o più controlli e si sceglie il comando Annulla, verranno ripristinati i controlli e le relative proprietà.

Pulsante della barra degli strumenti [image]. Tasti di scelta rapida: CTRL+Z o ALT+BACKSPACE.

Nota Il comando Annulla non consente di annullare un'operazione relativa al comando Taglia in un form.

Ripeti

Ripete l'ultima operazione di modifica di testo o di ridimensionamento e posizionamento dei controlli annullata se non è stata eseguita nessuna operazione dall'ultima esecuzione del comando Annulla.

Pulsante della barra degli strumenti [image].

I comandi Annulla e Ripeti consentono di ripristinare fino a venti operazioni di modifica al testo.

Questi comandi non sono disponibili in fase di esecuzione, se non è stata eseguita nessuna operazione di modifica o se sono state eseguite altre operazioni dopo l'ultima modifica. Alcune operazioni di modifica su una notevole quantità di informazioni potrebbero causare condizioni di memoria insufficiente e quindi impedire l'esecuzione del comando Annulla.


Comandi Cancella e Elimina (menu Modifica)

Cancella

Elimina il testo solo quando è attivo un modulo.

Elimina

Elimina il controllo, il testo o l'espressione di controllo.selezionati. È possibile annullare questo comando quando viene utilizzato per rimuovere informazioni dalla finestra del codice o controlli da un form.

Pulsante della barra degli strumenti: .Tasti di scelta rapida: CANC.

Non disponibile in fase di esecuzione.


Comandi Commento e Rimuovi commento

Vengono utilizzati rispettivamente per inserire e rimuovere il carattere di commento, ovvero l'apostrofo, per ogni riga del blocco di testo selezionato. Se non è stato selezionato del testo e si sceglie il comando Commento o Rimuovi commento, il carattere di commento viene rimosso o inserito nella riga sulla quale è posizionato il puntatore.

Commento

Inserisce il carattere di commento in ogni riga del blocco di testo selezionato.

Pulsante della barra degli strumenti: .

Rimuovi commento

Rimuove il carattere di commento da ogni riga del blocco di testo selezionato.

Pulsante della barra degli strumenti: .


Comandi Copia e Sposta (menu di scelta rapida)

Consentono di trascinare i controlli nel form. Per eseguire questa operazione, è necessario selezionare un controllo con il pulsante destro del mouse e trascinarlo tenendo premuto il pulsante. Quando si rilascia il pulsante del mouse, viene visualizzato un menu di scelta rapida in cui sono disponibili i comandi descritti di seguito.

Copia

Copia il controllo selezionato nella posizione in cui viene spostato il cursore.

Sposta

Sposta il controllo selezionato nella posizione in cui viene spostato il cursore.

Annulla

Annulla l'operazione.


Comando ? (menu di scelta rapida)

Visualizza l'argomento della Guida relativo all'elemento selezionato quando si fa clic sul comando.


Comando Adatta (menu Formato)

Modifica l'altezza e la larghezza di un oggetto in modo da adattarle al contenuto.

Pulsante della barra degli strumenti: .


Comando Adatta alla griglia (menu Formato)

Modifica la larghezza e l'altezza dell'oggetto selezionato in modo che si adatti alle linee della griglia del form più vicine. Per modificare le dimensioni della griglia, utilizzare la scheda Generale della finestra di dialogo Opzioni.

Pulsante della barra degli strumenti: .


Comando Ancorabile (menu di scelta rapida)

Dopo aver selezionato questo comando, la finestra verrà ancorata. Se il comando non è selezionato, la finestra non verrà ancorata.

Quando una finestra ancorata viene spostata si posizionerà sempre lungo uno dei bordi della schermata, della finestra dell'applicazione o di un'altra finestra ancorabile. Le finestre non ancorabili possono invece essere posizionate in qualsiasi punto della schermata.


Comando Aggiungi espressione di controllo (menu Debug)

Visualizza la finestra di dialogo Aggiungi espressione di controllo che consente di inserire nel codice un'espressione di controllo. L'espressione può essere una qualsiasi istruzione Basic valida. Le espressioni di controllo disponibili nella finestra Espressioni di controllo vengono aggiornate quando si passa in modalità progettazione.

Pulsante della barra degli strumenti: .


Comando <applicazione host> (menu Visualizza)

Porta l'applicazione host in primo piano nell'editor di Visual Basic in modo che sia possibile visualizzarla. Il nome del comando corrisponde a quello dell'applicazione host utilizzata.

Tasti di scelta rapida: ALT+F11.


Comando Apri progetto (menu File)

Chiude l'eventuale progetto o gruppo di progetti corrente che è stato caricato e apre un progetto o gruppo di progetti esistente.

È possibile aprire il numero di progetti desiderato in base alle risorse di sistema disponibili.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+O.


Comando Aumenta rientro (menu Modifica)

Sposta tutte le righe selezionate nella posizione di tabulazione successiva. Se si posiziona il cursore in qualsiasi punto di una riga e si sceglie il comando Aumenta rientro, tutta la riga viene spostata nella posizione di tabulazione successiva. Tutte le righe selezionate vengono spostate dello stesso numero di spazi. In tal modo avranno lo stesso rientro relativo all'interno del blocco selezionato.

È possibile modificare l'ampiezza della tabulazione nella scheda Editor della finestra di dialogo Opzioni.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+M.


Comando Barre degli strumenti (menu Visualizza)

Visualizza l'elenco delle barre degli strumenti disponibili in Visual Basic nonché il comando Personalizza. È possibile:

  • Attivare o disattivare le barre degli strumenti desiderate.

  • Trascinare le barre degli strumenti nella posizione desiderata sul desktop.

Debug

Visualizza la barra degli strumenti Debug in cui sono disponibili i pulsanti necessari per l'esecuzione delle operazioni di debug più comuni.

Modifica

Visualizza la barra degli strumenti Modifica in cui sono disponibili i pulsanti necessari per l'esecuzione delle operazioni di modifica più comuni.

Standard

Visualizza la barra degli strumenti standard, ovvero la barra degli strumenti predefinita.

UserForm

Visualizza la barra degli strumenti UserForm che contiene pulsanti specifici per il form.

Personalizza

Visualizza la finestra di dialogo Personalizza che consente di personalizzare o creare le barre degli strumenti o le barre dei menu.


Comando Casella degli strumenti (menu Visualizza)

Visualizza o nasconde la casella degli strumenti che contiene i controlli disponibili per l'applicazione creata.

Pulsante della barra degli strumenti: .


Comando Centra nel form (menu Formato)

Centra gli oggetti selezionati in base agli assi centrali del form.

Asse verticale

Allinea l'asse verticale dell'area che racchiude gli oggetti selezionati all'asse verticale del form.

Pulsante della barra degli strumenti: .

Asse orizzontale

Allinea l'asse orizzontale dell'area che racchiude gli oggetti selezionati all'asse orizzontale del form.

Pulsante della barra degli strumenti: .


Comando Chiudi (menu di scelta rapida)

Chiude la finestra attiva.


Comando Chiudi e torna a <applicazione host> (menu File)

Chiude l'ambiente di sviluppo e torna all'applicazione host. Visual Basic viene nascosto ma rimane in memoria.


Comando Chiudi progetto (menu File)

Consente di chiudere il progetto corrente.

Se alcune modifiche apportate nel progetto non sono state salvate, viene richiesto di salvare il progetto prima di chiuderlo.

Nota Questo comando non è disponibile in tutte le versioni dell'editor di Visual Basic.


Comando Codice (menu Visualizza)

Visualizza o attiva la finestra del codice nella posizione corrispondente all'oggetto selezionato.

Pulsante della barra degli strumenti: .Tasti di scelta rapida: F7.


Comando Compila <progetto> (menu Debug)

Compila il progetto corrente.

Pulsante della barra degli strumenti: .


Comando Completa parola (menu Modifica)

Completa il resto della parola che viene digitata dopo che sono stati immessi i caratteri sufficienti perché tale parola venga identificata automaticamente da Visual Basic.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+BARRA SPAZIATRICE.


Comando Componenti (menu Inserisci)

Visualizza la finestra di dialogo Componenti in cui è possibile aggiungere finestre di progettazione nel menu Inserisci.

Nota Questo comando non è disponibile in tutte le versioni dell'editor di Visual Basic.


Comando Comprimi principale (menu di scelta rapida)

Comprime l'elenco di elementi disponibili nella finestra Variabili locali o Espressioni di controllo in modo che venga visualizzato solo l'elemento principale. L'icona a sinistra dell'espressione viene modificata da meno (-) a più (+).


Comando Controlli aggiuntivi (menu di scelta rapida)

Visualizza la finestra di dialogo Controlli aggiuntivi che consente di aggiungere controlli.


Comando Controlli aggiuntivi (menu Strumenti)

Consente di visualizzare la finestra di dialogo Controlli aggiuntivi in cui è possibile aggiungere controlli o oggetti inseribili nella Casella degli strumenti, ad esempio un documento Microsoft Word.


Comando Controllo immediato (menu Debug)

Visualizza la finestra di dialogo Controllo immediato nella quale sarà disponibile il valore corrente dell'espressione selezionata. Utilizzare questo comando per verificare il valore corrente di una variabile, di una proprietà o di un'altra espressione per la quale non sia stata definita un'espressione di controllo. Selezionare l'espressione nella finestra del codice o nella finestra Immediata e quindi scegliere il comando Controllo immediato. Per aggiungere un'espressione di controllo in base all'espressione visualizzata nella finestra di dialogo Controllo immediato, scegliere il pulsante Aggiungi.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: MAIUSC+F9.


Comando Copia (menu di scelta rapida del Visualizzatore oggetti)

Copia negli Appunti il nome della classe o del membro selezionato.


Comando Crea <Progetto> (menu File)

Visualizza la finestra di dialogo Crea progetto in modo da consentire la compilazione del progetto in una DLL.

Note Questo comando non è disponibile in tutte le versioni dell'Editor di Visual Basic.


Comandi del menu Finestra

Dividi

Attiva e disattiva la barra di separazione che divide la finestra del codice in due parti uguali in senso orizzontale. Disponibile solo se è attiva la finestra del codice.

Pulsante della barra degli strumenti: .

Affianca orizzontalmente

Affianca orizzontalmente le finestre di tutti i documenti aperti del progetto.

Pulsante della barra degli strumenti: .

Affianca verticalmente

Affianca verticalmente le finestre di tutti i documenti aperti del progetto.

Pulsante della barra degli strumenti: .

Sovrapponi

Dispone una sopra l'altra in cascata le finestre di tutti i documenti aperti del progetto .

Pulsante della barra degli strumenti: .

Disponi icone

Dispone le icone delle finestre ridotte a icona in modo regolare di tutti i documenti nella parte inferiore sinistra della finestra dell'applicazione.

Elenco delle finestre

Visualizza l'elenco di tutte le finestre di documenti aperte.


Comandi del sottomenu Allinea (menu Formato)

Allineano tra loro gli oggetti selezionati utilizzando come riferimento il controllo con i quadratini di ridimensionamento bianchi.

A sinistra

Il bordo sinistro degli oggetti selezionati viene allineato al bordo sinistro del controllo con i quadratini di ridimensionamento bianchi.

Pulsante della barra degli strumenti: .

Asse verticale

L'asse verticale centrale degli oggetti selezionati viene allineato all'asse verticale centrale del controllo con i quadratini di ridimensionamento bianchi.

Pulsante della barra degli strumenti: .

A destra

Il bordo destro degli oggetti selezionati viene allineato al bordo destro del controllo con i quadratini di ridimensionamento bianchi.

Pulsante della barra degli strumenti: .

In alto

Il bordo superiore degli oggetti selezionati viene allineato al bordo superiore del controllo con i quadratini di ridimensionamento bianchi.

Pulsante della barra degli strumenti: .

Asse orizzontale

L'asse orizzontale centrale degli oggetti selezionati viene allineato all'asse orizzontale centrale del controllo con i quadratini di ridimensionamento bianchi.

Pulsante della barra degli strumenti: .

In basso

Il bordo inferiore degli oggetti selezionati viene allineato al bordo inferiore del controllo con i quadratini di ridimensionamento bianchi.

Pulsante della barra degli strumenti: .

Alla griglia

La parte superiore sinistra degli oggetti selezionati viene allineata alla griglia più vicina. Gli oggetti non vengono ridimensionati.

Pulsante della barra degli strumenti: .


Comandi del sottomenu Disponi pulsanti (menu Formato)

Dispone i pulsanti di comando selezionati lungo la parte inferiore o il bordo di un form.

In basso

Dispone i controlli lungo il bordo inferiore sinistro del form. La spaziatura tra un controllo e l'altro viene impostata sullo stesso valore.

Pulsante della barra degli strumenti: .

A destra

Dispone i controlli lungo il bordo superiore destro del form. La spaziatura tra un controllo e l'altro viene impostata sullo stesso valore.

Pulsante della barra degli strumenti: .


Comandi del sottomenu Rendi uguale (menu Formato)

In base all'oggetto con i quadratini di ridimensionamento bianchi, imposta dimensioni uguali per gli oggetti selezionati.

Larghezza

Uniforma la larghezza.

Pulsante della barra degli strumenti: .

Altezza

Uniforma l'altezza.

Pulsante della barra degli strumenti: .

Entrambe

Uniforma la larghezza e l'altezza.

Pulsante della barra degli strumenti: .


Comandi del sottomenu Segnalibri (menu Modifica)

Consentono di creare o rimuovere segnalibri nella finestra del codice, di spostarsi sul segnalibro successivo o precedente oppure di rimuovere tutti i segnalibri. I segnalibri consentono di contrassegnare righe di codice in modo da poterle rintracciare facilmente in seguito.

Accanto alla riga di codice in cui è stato inserito un segnalibro, verrà visualizzato questo simbolo [image] .

Imposta/rimuovi segnalibro

Attiva o disattiva un segnalibro.

Pulsante della barra degli strumenti:

Segnalibro successivo

Sposta il punto di inserimento in corrispondenza del segnalibro successivo.

Pulsante della barra degli strumenti:

Segnalibro precedente

Sposta il punto di inserimento in corrispondenza del segnalibro precedente.

Pulsante della barra degli strumenti:

Rimuovi segnalibri

Rimuove tutti i segnalibri.

Pulsante della barra degli strumenti:


Comandi del sottomenu Spaziatura orizzontale (menu Formato)

Modificano la spaziatura orizzontale tra gli oggetti selezionati.

Rendi uguale

Sposta gli oggetti selezionati in modo che tra loro la spaziatura sia identica. Gli oggetti alle estremità laterali non vengono spostati e vengono utilizzati come punti di riferimento.

Pulsante della barra degli strumenti: .

Aumenta

Aumenta la spaziatura orizzontale di un'unità, in base all'unità di misura della griglia. Il punto di riferimento è l'oggetto su cui si trova lo stato attivo, ovvero l'oggetto caratterizzato da quadratini di ridimensionamento di colore bianco lungo i bordi. Per modificare il valore unitario dell'unità di misura della griglia, utilizzare la scheda Generale della finestra di dialogo Opzioni.

Pulsante della barra degli strumenti: .

Diminuisci

Diminuisce la spaziatura orizzontale di un'unità, in base all'unità di misura della griglia. Il punto di riferimento è l'oggetto su cui si trova lo stato attivo, ovvero l'oggetto caratterizzato da quadratini di ridimensionamento di colore bianco lungo i bordi. Per modificare il valore unitario dell'unità di misura della griglia, utilizzare la scheda Generale della finestra di dialogo Opzioni.

Pulsante della barra degli strumenti: .

Rimuovi

Rimuove la spaziatura orizzontale tra gli oggetti in modo che i rispettivi bordi si tocchino. Il punto di riferimento è l'oggetto su cui si trova lo stato attivo, ovvero l'oggetto caratterizzato da quadratini di ridimensionamento di colore bianco lungo i bordi.

Pulsante della barra degli strumenti: .

Nota L'oggetto su cui si trova lo stato attivo non viene spostato mentre gli altri oggetti vengono spostati in base a tale oggetto.

Nota Se con un comando del sottomenu Spaziatura orizzontale non si ottengono i risultati desiderati, provare a disporre manualmente gli oggetti e scegliere nuovamente il comando stesso oppure utilizzare il comando Spaziatura verticale.


Comandi del sottomenu Spaziatura verticale (menu Formato)

Modificano la spaziatura verticale tra gli oggetti selezionati. Il punto di riferimento è l'oggetto su cui si trova lo stato attivo, ovvero l'oggetto caratterizzato da quadratini di ridimensionamento di colore bianco lungo i bordi.

Rendi uguale

Sposta gli oggetti selezionati in modo che tra loro la spaziatura sia identica. Gli oggetti alle estremità inferiore e superiore vengono utilizzati come punti di riferimento.

Pulsante della barra degli strumenti: .

Aumenta

Aumenta la spaziatura verticale di un'unità, in base all'unità di misura della griglia. Il punto di riferimento è l'oggetto su cui si trova lo stato attivo. Per modificare il valore unitario dell'unità di misura della griglia, utilizzare la scheda Generale della finestra di dialogo Opzioni.

Pulsante della barra degli strumenti: .

Diminuisci

Diminuisce la spaziatura verticale di un'unità, in base all'unità di misura della griglia. Il punto di riferimento è l'oggetto su cui si trova lo stato attivo. Per modificare il valore unitario dell'unità di misura della griglia, utilizzare la scheda Generale della finestra di dialogo Opzioni.

Pulsante della barra degli strumenti: .

Rimuovi

Rimuove la spaziatura verticale tra gli oggetti in modo che i rispettivi bordi si tocchino. Il punto di riferimento è l'oggetto su cui si trova lo stato attivo.

Pulsante della barra degli strumenti: .

Nota L'oggetto su cui si trova lo stato attivo non viene spostato mentre gli altri oggetti vengono spostati in base a tale oggetto.

Nota Se con un comando del sottomenu Spaziatura verticale non si ottengono i risultati desiderati, provare a disporre manualmente gli oggetti e scegliere nuovamente il comando stesso oppure utilizzare il comando Spaziatura orizzontale.


Comandi Esegui istruzione, Esegui istruzione/routine e Esci da istruzione/routine (menu Debug)

Esegui istruzione

Esegue il codice un'istruzione alla volta.

Se non è attiva la modalità di progettazione, il comando Esegui istruzione attiva la modalità di interruzione in corrispondenza della riga di esecuzione corrente. Il comando esegue l'istruzione in corrispondenza della riga di esecuzione corrente. Se l'istruzione è una chiamata a una routine, l'istruzione successiva visualizzata sarà la prima istruzione della routine.

Se viene scelto in fase di progettazione, questo comando avvia l'esecuzione e passa in modalità interruzione prima che venga eseguita la prima riga di codice.

In assenza di un'istruzione di esecuzione corrente, potrebbe sembrare che il comando Esegui istruzione non sia operativo fino a quando non si esegue una qualsiasi operazione che attiva il codice, per esempio il clic su un documento.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: F8.

Esegui istruzione/routine

Analogo al comando Esegui istruzione. Viene in genere utilizzato quando l'istruzione corrente contiene una chiamata a una routine.

Il comando Esegui istruzione/routine esegue la routine come unità singola e passa quindi all'istruzione successiva alla chiamata nel codice. L'istruzione successiva visualizzata sarà pertanto l'istruzione successiva alla chiamata nel codice, indipendentemente dal fatto che l'istruzione corrente sia o meno una chiamata a una routine. Disponibile solo in modalità interruzione.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: MAIUSC+F8.

Esci da istruzione/routine

Esegue le restanti righe della funzione sulla quale si trova il punto di esecuzione corrente. L'istruzione successiva visualizzata sarà l'istruzione successiva alla chiamata di routine. Verrà eseguito tutto il codice tra il punto di esecuzione iniziale e quello finale. Disponibile solo in modalità interruzione.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+MAIUSC+F8.


Comandi Esegui progetto e Interrompi progetto (menu Esegui)

Esegui progetto

Nel progetto viene attivata una modalità in base a cui il progetto può essere utilizzato in altre applicazioni. Ciò risulta utile per il debug e la verifica funzionale di un progetto autonomo prima di compilarlo in una libreria a collegamento dinamico (DLL). Il progetto corrente viene registrato sostituendo le informazioni di registrazione del progetto esistenti, ad esempio le informazioni del registro di configurazione di una versione della DLL per il progetto.

Interrompi progetto

Consente di annullare la registrazione del progetto e di ripristinare le informazioni di registrazione precedenti. Con questa operazione il progetto in memoria non potrà più essere richiamato da altre applicazioni.

Nota I comandi Esegui progetto e Interrompi progetto sono disponibili soltanto nel progetto autonomo corrente, non nei progetti documento di applicazioni host.

Nota Questi comandi non sono disponibili in tutte le versioni dell'editor di Visual Basic.


Comandi Esegui Sub/UserForm, Continua e Esegui macro (menu Esegui)

Esegui Sub/UserForm

Esegue la routine corrente se il cursore si trova su una routine oppure esegue il form attivo. In modalità interruzione il nome di questo comando diventa Continua.

Se non sono attivi né la finestra del codice né un UserForm, il nome di questo comando diventa Esegui macro.

Continua

Riavvia l'esecuzione della routine o del form corrente.

Esegui macro

Esegue una macro.


Comando Definizione (menu di scelta rapida)

Visualizza la posizione, all'interno della finestra del codice, in cui è stata definita la variabile o la routine sulla quale è posizionato il cursore. Se la variabile o la routine è stata definita in una libreria per la quale è stato impostato un riferimento, tale libreria verrà visualizzata nel Visualizzatore oggetti.


Comando Definizione (menu Visualizza)

Visualizza la posizione nella finestra del codice in cui si trova la variabile o la routine sulla quale è posizionato il puntatore. Se la definizione si trova in una libreria per la quale è stato impostato un riferimento, verrà visualizzata nel Visualizzatore oggetti.

Tasti di scelta rapida: MAIUSC+F2.


Comando Elenca costanti (menu Modifica)

Apre nella finestra del codice una casella di riepilogo a discesa nella quale sono disponibili le costanti valide per la proprietà digitata. È inoltre necessario che tale proprietà sia seguita dal simbolo di uguale (=). Il comando Elenca costanti può inoltre essere utilizzato per le funzioni che hanno costanti tra gli argomenti disponibili. Per fare in modo che la casella di riepilogo venga aperta automaticamente durante la digitazione del codice, selezionare Elenco membri automatico nella scheda Editor della finestra di dialogo Opzioni.

Per passare alla costante desiderata, è possibile:

  • Digitarne il nome.

  • Utilizzare la freccia rivolta verso l'alto o verso il basso per spostarsi nell'elenco.

  • Scorrere l'elenco e selezionare la costante desiderata.

Per inserire la costante nell'istruzione, è possibile:

  • Fare doppio clic sulla costante.

  • Selezionare la costante e premere TAB per inserirla o premere INVIO per inserirla e passare alla riga successiva.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+MAIUSC+J.


Comando Elenca proprietà/metodi (menu Modifica)

Apre nella finestra del codice una casella di riepilogo a discesa nella quale sono disponibili le proprietà e i metodi dell'oggetto. Il comando Elenca proprietà/metodi consente inoltre di visualizzare l'elenco dei metodi globali quando il puntatore si trova su uno spazio vuoto. Per fare in modo che la casella di riepilogo venga aperta automaticamente durante la digitazione del codice, selezionare Elenco membri automatico nella scheda Editor della finestra di dialogo Opzioni.

Per passare alla proprietà o al metodo desiderati nella casella di riepilogo, è possibile:

  • Digitarne il nome. Mentre il nome viene digitato, la proprietà o il metodo le cui lettere iniziali corrispondono ai caratteri digitati vengono selezionati e visualizzati nella parte superiore dell'elenco.

  • Utilizzare la freccia rivolta verso l'alto o verso il basso per spostarsi nell'elenco.

  • Scorrere l'elenco e selezionare la proprietà o il metodo desiderati.

Per inserire la proprietà o il metodo nell'istruzione, è possibile:

  • Fare doppio clic sulla proprietà o sul metodo.

  • Selezionare la proprietà o il metodo e premere TAB per inserire l'elemento selezionato o premere INVIO per inserire l'elemento selezionato e passare alla riga successiva.

    Nota Per gli oggetti di tipo Variant non viene visualizzato l'elenco dopo aver digitato il punto (.).

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+J.


Comando Elimina <elemento> (menu di scelta rapida)

Consente di eliminare dalla casella degli strumenti l'elemento selezionato. È quindi possibile aggiungere di nuovo l'elemento tramite il comando Controlli aggiuntivi del menu di scelta rapida.


Comando Elimina espressione di controllo (menu di scelta rapida)

Elimina l'espressione di controllo selezionata.


Comando Elimina pagina (menu di scelta rapida)

Elimina in modo permanente la pagina selezionata della casella degli strumenti.


Comando Esegui fino al cursore (menu Debug)

Quando l'applicazione è in modalità progettazione, il comando Esegui fino al cursore viene utilizzato per definire in quale punto del codice verrà interrotta l'esecuzione. L'esecuzione dell'applicazione proseguirà dall'istruzione corrente fino all'istruzione selezionata. Nella barra degli indicatori verrà visualizzato un indicatore, [image], in corrispondenza della riga di esecuzione corrente.

È possibile utilizzare questo comando, ad esempio, per evitare di eseguire cicli di grandi dimensioni.

Tasti di scelta rapida: CTRL+F8.


Comando File (menu Inserisci)

Visualizza la finestra di dialogo Inserisci file con cui è possibile inserire il testo contenuto in un modulo esistente in corrispondenza della posizione corrente del cursore.

Non disponibile se non è aperto alcun editor.


Comando Finestra Espressioni di controllo (menu Visualizza)

Visualizza la finestra Espressioni di controllo e le espressioni di controllo correnti. La finestra Espressioni di controllo viene visualizzata automaticamente quando per il progetto vengono definite delle espressioni di controllo.

Se il contesto dell'espressione non si trova all'interno dell'area di validità, quando si passa in modalità interruzione il valore corrente non viene visualizzato.

Pulsante della barra degli strumenti: .


Comando Finestra Immediata (menu Visualizza)

Visualizza la finestra Immediata e le informazioni restituite dalle istruzioni di debug impostate nel codice o da comandi digitati direttamente nella finestra.

La finestra Immediata può essere utilizzata per:

  • Eseguire la verifica funzionale di parti del codice che possono presentare dei problemi o comunque di nuove parti di codice aggiunte.

  • Verificare o modificare il valore di una variabile durante l'esecuzione dell'applicazione. Quando l'esecuzione viene interrotta, è possibile assegnare alla variabile un nuovo valore come quando tale operazione viene eseguita nel codice.

  • Verificare o modificare il valore di una proprietà durante l'esecuzione dell'applicazione.

  • Richiamare le routine come quando tale operazione viene eseguita nel codice.

  • Visualizzare l'output delle operazioni di debug durante l'esecuzione del programma.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+G


Comando Finestra Proprietà (menu Visualizza)

Visualizza la finestra Proprietà, nella quale vengono visualizzate le proprietà che è possibile impostare in fase di progettazione relative al form, al controllo, alla classe, al progetto o al modulo

Pulsante della barra degli strumenti: . Tasti di scelta rapida: F4.


Comando Finestra Variabili locali (menu Visualizza)

Visualizza la finestra Variabili locali, nonché tutte le variabili incluse nello stack corrente e i relativi valori.

La finestra Variabili locali viene aggiornata automaticamente quando si passa dalla fase di esecuzione alla modalità interruzione e quando cambia il contesto a cui si riferisce lo stack.

Pulsante della barra degli strumenti: .


Comando UserForm (menu Inserisci)

Crea un nuovo form e lo inserisce nel progetto.


Comando Firma digitale (menu Strumenti)

Visualizza la finestra di dialogo Firma digitale in cui è possibile impostare il certificato per il progetto.


Comando Gestione aggiunte (menu Aggiunte)

Visualizza la finestra di dialogo Gestione aggiunte in cui è possibile caricare e scaricare aggiunte per estendere l'ambiente di sviluppo Visual Basic, Applications Edition.


Comando Gestione progetti (menu Visualizza)

Apre Gestione progetti, in cui viene visualizzato un elenco gerarchico dei progetti aperti e del loro contenuto.

Gestione progetti viene utilizzato unicamente per operazioni di esplorazione e di gestione. Non è possibile creare un'applicazione direttamente in Gestione progetti.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+R.


Comandi Importa file e Esporta file (menu File)

Tramite questi comandi è possibile aggiungere moduli e form esistenti nel progetto oppure salvare un modulo o form come file distinto.

Importa file

Consente di visualizzare la finestra di dialogo Importa file in cui è possibile aggiungere nel progetto un modulo o form esistente. In effetti viene aggiunta una copia del file, mentre il file originale rimane inalterato. Se il nome del form o modulo importato corrisponde al nome di un altro elemento del progetto, al nome verrà aggiunto automaticamente un numero.

Gli elementi importati sono visualizzati nella finestra Gestione progetti.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+M.

Esporta file

Consente di visualizzare la finestra di dialogo Esporta file in cui è possibile estrarre il form o il modulo attivo dal progetto. Il file corrispondente viene copiato in un file esterno.

Se nella finestra Gestione progetti non è stato selezionato alcun file, questo comando non è disponibile.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+E.


Comandi Importa pagina e Esporta pagina (menu di scelta rapida)

Consentono di importare ed esportare le pagine.

Importa pagina

Apre la finestra di dialogo Importa pagina in cui è possibile cercare e selezionare la pagina che si desidera aggiungere nella casella degli strumenti.

La finestra di dialogo Importa pagina è basata sulla finestra di dialogo Apri standard di Windows.

Esporta pagina

Apre la finestra di dialogo Esporta pagina in cui è possibile selezionare il nome e la posizione della pagina selezionata che si desidera esportare dalla casella degli strumenti.

La finestra di dialogo Esporta pagina è basata sulla finestra di dialogo Salva standard di Windows.


Comandi Imposta/rimuovi (menu di scelta rapida)

Punto di interruzione

Imposta o rimuove il punto di interruzione relativo alla riga corrente.

Segnalibro

Imposta o rimuove il segnalibro per la riga attiva nella finestra del codice.


Comandi Modalità progettazione e Esci da modalità progettazione (Menu Esegui)

I comandi Modalità progettazione e Esci da modalità progettazione attivano e disattivano rispettivamente la modalità progettazione per il progetto. La modalità progettazione è la fase in cui non viene eseguito il codice del progetto e pertanto non vengono generati gli eventi dell'host o del progetto. Per uscire dalla modalità progettazione è sufficiente eseguire una macro o utilizzare la finestra Immediata.

Comando Modalità progettazione

Passa in modalità progettazione. Il nome del comando viene modificato in Esci da modalità progettazione.

Comando Esci da modalità progettazione Disattiva la modalità progettazione e svuota tutte la variabili a livello di modulo del progetto.

Pulsante della barra degli strumenti: .


Comandi Modulo e Modulo di classe (menu Inserisci)

Modulo

Inserisce un nuovo modulo standard aggiungendolo nel progetto attivo.

Pulsante della barra degli strumenti: .

Modulo di classe

Crea un nuovo modulo di classe aggiungendolo nel progetto attivo.

Pulsante della barra degli strumenti: .


Comando Imposta istruzione successiva (menu Debug)

Imposta come punto di esecuzione la riga di codice selezionata. Per fare in modo che l'esecuzione prosegua da una riga di codice diversa da quella successiva all'istruzione corrente, selezionare la riga di codice che si desidera eseguire e scegliere il comando Imposta istruzione successiva oppure trascinare l'indicatore della riga di esecuzione corrente nella barra degli indicatori sulla riga di codice che si desidera eseguire.

Con il comando Imposta istruzione successiva è possibile selezionare una riga di codice precedente o successiva all'istruzione corrente. Il codice compreso tra le due istruzioni non viene eseguito. Utilizzare questo comando quando si desidera rieseguire un'istruzione della routine corrente o ignorare le istruzioni che non si desidera eseguire. Non è possibile utilizzare il comando Imposta istruzione successiva per le istruzioni che si trovano in routine diverse.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+F9.


Comando Imposta/rimuovi punto di interruzione (menu Debug)

Imposta o rimuove un punto di interruzione in corrispondenza della riga corrente. Non è possibile impostare un punto di interruzione per le righe che contengono codice non eseguibile, ad esempio commenti, istruzioni di dichiarazione o righe vuote.

La linea di codice per la quale è stato impostato un punto di interruzione verrà visualizzata nel colore specificato nella scheda Formato editor della finestra di dialogo Opzioni.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: F9.


Comando Informazioni parametri (menu Modifica)

Visualizza nella finestra del codice un riquadro popup nel quale sono disponibili le informazioni sui parametri della funzione o dell'istruzione iniziale. Se la funzione o l'istruzione in questione ha delle funzioni come parametri, il comando Informazioni parametri consente di visualizzare le informazioni relative alla prima funzione. Il comando Informazioni rapide consente di visualizzare informazioni su ciascuna delle funzioni incorporate.

Il parametro viene visualizzato in grassetto mentre viene digitato fino a quando non viene inserita la virgola utilizzata per separarlo dal parametro successivo.

Il riquadro attivato dal comando Informazioni parametri verrà chiuso solo se:

  • Vengono immessi tutti i parametri obbligatori.

  • La funzione viene scritta senza che vengano utilizzati tutti i parametri facoltativi.

  • Si preme ESC.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+MAIUSC+I.


Comando Informazioni rapide (menu Modifica)

Visualizza la sintassi relativa alla variabile, alla funzione, all'istruzione, alla routine o al metodo selezionati nella finestra del codice e evidenzia il parametro corrente.

Per le funzioni e le routine con parametri, il parametro viene visualizzato in grassetto mentre viene digitato fino a quando non viene inserita la virgola utilizzata per separarlo dal parametro successivo.

Per fare in modo che le informazioni rapide vengano visualizzate automaticamente durante la digitazione del codice, selezionare Informazioni rapide automatiche nella scheda Editor della finestra di dialogo Opzioni.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+I.


Comando Interrompi (menu Esegui)

Interrompe l'esecuzione di un programma e passa in modalità interruzione. L'istruzione in esecuzione nel momento in cui viene scelto questo comando viene visualizzata nella finestra del codice. Se nella scheda Formato editor della finestra di dialogo Opzioni è stata selezionata la casella di controllo Barra indicatori, a sinistra dell'istruzione verrà visualizzato questo simbolo [image]. Se quando si sceglie questo comando l'applicazione è in attesa di un evento in un ciclo inattivo, ovvero non è in esecuzione alcuna istruzione, non verrà evidenziata alcuna istruzione fino a quando non viene generato un evento.

Alcune modifiche al codice apportate in modalità interruzione, potrebbero avere effetto solo dopo il riavvio dell'applicazione.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+INTERR.


Comando Macro (menu Strumenti)

Visualizza la finestra di dialogo Macro in cui è possibile creare, eseguire o eliminare una macro.


Comando Modifica espressione di controllo (menu Debug)

Visualizza la finestra di dialogo Modifica espressione di controllo che consente di modificare o eliminare le espressioni di controllo. Disponibile quando è impostata un'espressione di controllo, anche se la finestra Espressioni di controllo non è visualizzata.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+W.


Comando Mostra istruzione successiva (menu Debug)

Evidenzia la successiva istruzione che verrà eseguita. Utilizzare il comando Mostra istruzione successiva per posizionare il cursore sulla riga corrispondente a tale istruzione.

Disponibile solo in modalità interruzione.

Pulsante della barra degli strumenti: .


Comando Nascondi (menu di scelta rapida)

Nasconde la finestra, la cartella, il progetto o il modulo attivi oppure la casella degli strumenti.


Comando Nuova pagina (menu di scelta rapida)

Aggiunge una nuova pagina assegnandovi il nome Nuova pagina. Per modificare il nome è possibile utilizzare il comando Rinomina del menu di scelta rapida.

È possibile inserire più di una pagina con il nome Nuova pagina.

Per impostazione predefinita, le nuove pagine inserite nella casella degli strumenti contengono lo strumento Seleziona oggetti ovvero un puntatore.


Comando Nuovo progetto (menu File)

Visualizza la finestra di dialogo Nuovo progetto in cui è possibile scegliere il tipo di progetto che si desidera creare.

Se quando si crea un nuovo progetto è aperto un altro progetto, verrà richiesto di salvare il lavoro svolto.

Disponibile solo in fase di progettazione.

Nota Questo comando non è disponibile in tutte le versioni dell'Editor di Visual Basic.


Comando Oggetto (menu Visualizza)

Visualizza l'elemento attivo.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: MAIUSC+F7.


Comando Opzioni (menu Strumenti)

Visualizza la finestra di dialogo Opzioni, nella quale sono disponibili delle schede che possono essere utilizzate per personalizzare le impostazioni dell'ambiente di sviluppo Visual Basic.

Schede

  • Editor

  • Formato editor

  • Generale

  • Ancoraggio


Comando Ordina (menu Formato)

Modifica l'ordine degli oggetti disponibili in un form.

Porta in primo piano

Sposta gli oggetti selezionati in primo piano rispetto a tutti gli altri oggetti del form.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+J.

Porta in secondo piano

Sposta gli oggetti selezionati in secondo piano rispetto a tutti gli altri oggetti del form.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+K.

Porta avanti

Sposta l'oggetto selezionato avanti di un livello nell'ordine z.

Pulsante della barra degli strumenti: .

Porta indietro

Sposta l'oggetto selezionato indietro di un livello nell'ordine z.

Pulsante della barra degli strumenti: .


Comando Ordine di tabulazione (menu Visualizza)

Visualizza la finestra di dialogo Ordine di tabulazione relativa al form attivo.

Pulsante della barra degli strumenti: .


Comando Personalizza (menu di scelta rapida)

Visualizza la finestra di dialogo Personalizza che consente di aggiungere, eliminare, modificare o creare barre degli strumenti.


Comando Personalizza <elemento> (menu di scelta rapida)

Visualizza la finestra di dialogo Personalizza controllo in cui è possibile modificare il testo della descrizione dei comando o l'icona per il controllo selezionato.


Comando Proprietà (menu di scelta rapida)

Apre la finestra Proprietà dell'elemento selezionato.


Comando Proprietà (menu di scelta rapida del Visualizzatore oggetti)

Visualizza la finestra di dialogo Opzioni membro nella quale è possibile digitare la descrizione di un membro personalizzato e impostare l'ID di contesto della Guida e il file della Guida di tale membro nelle caselle corrispondenti.

Disponibile solo per gli elementi scritti in linguaggio Basic.


Comando Proprietà di <nome progetto> (menu Strumenti)

Visualizza la finestra di dialogo Proprietà progetto che consente di impostare la protezione e altre opzioni specifiche per il progetto.

Pulsante della barra degli strumenti: .


Comandi Raggruppa e Annulla raggruppamento (menu Formato)

I comandi Raggruppa e Annulla raggruppamento attivano e disattivano rispettivamente il raggruppamento degli oggetti selezionati.

Raggruppa

Crea un gruppo.

Nota È possibile selezionare gli oggetti singoli all'interno di un gruppo e modificarne le proprietà.

Nota Non è possibile creare gruppi all'interno di un gruppo (raggruppamento nidificato).

Pulsante della barra degli strumenti: .

Annulla raggruppamento

Disattiva il raggruppamento degli oggetti raggruppati.

Pulsante della barra degli strumenti: .


Comando Raggruppa membri (menu di scelta rapida del Visualizzatore oggetti)

Se il comando viene deselezionato i membri della classe selezionata inclusi nel riquadro vengono visualizzati in ordine alfabetico, se viene selezionato i membri vengono ordinati in base al tipo.


Comando Reimposta <progetto> (menu Esegui)

Consente di cancellate lo stack di chiamate e le variabili le variabili a livello di modulo.

Pulsante della barra degli strumenti: .


Comando Ridimensiona (menu di scelta rapida)

Modifica la forma del puntatore in modo che sia possibile ridimensionare la finestra attiva o la casella degli strumenti.


Comando Riduci rientro (menu Modifica)

Sposta tutte le righe selezionate nella posizione di tabulazione precedente. Se si posiziona il cursore in qualsiasi punto di una riga e si sceglie il comando Riduci rientro, tutta la riga viene spostata nella posizione di tabulazione precedente. Tutte le righe selezionate vengono spostate dello stesso numero di spazi. In tal modo avranno lo stesso rientro relativo all'interno del blocco selezionato.

È possibile modificare l'ampiezza della tabulazione nella scheda Editor della finestra di dialogo Opzioni.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+MAIUSC+M.


Comando Riferimenti (menu Strumenti)

Visualizza la finestra di dialogo Riferimenti che consente di aggiungere nel progetto una libreria degli oggetti o una libreria dei tipi. In tal modo vengono resi disponibili nel codice gli oggetti di altre applicazioni. Dopo aver impostato il riferimento, gli oggetti a cui viene fatto riferimento verranno visualizzati nel Visualizzatore oggetti.

È inoltre possibile aggiungere riferimenti ad altri oggetti caricati e salvati. I progetti non salvati vengono indicati nel seguente formato: "NON SALVATO: <NomeProgetto>". Non è possibile impostare riferimenti per i progetti non salvati.

Disponibile solo in fase di progettazione.


Comando Rimuovi <elemento> (menu File)

Elimina in modo permanente dal progetto il form o il modulo attivo. Disponibile solo se sono stati selezionati uno o più elementi in Gestione progetti.

Prima di rimuovere un modulo da un progetto, verificare che il resto del codice non faccia riferimento all'elemento da eliminare.

Quando si sceglie questo comando, viene richiesto se si desidera esportare in un file l'elemento da selezionato. Se si fa clic su Sì nella finestra di messaggio, verrà visualizzata la finestra di dialogo Esporta file. Se si fa clic su No, l'elemento verrà eliminato.

Importante Non è possibile annullare questa operazione.


Comando Rimuovi punti di interruzione (menu Debug)

Rimuove tutti i punti di interruzione definiti nel progetto. L'esecuzione dell'applicazione potrebbe comunque essere interrotta se è stata impostata un'espressione di controllo o se è stata selezionata l'opzione Interrompi ad ogni errore nella scheda Generale della finestra di dialogo Opzioni. Non è possibile annullare il comando Rimuovi punti di interruzione.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+MAIUSC+F9.


Comando Rinomina (menu di scelta rapida)

Visualizza la finestra di dialogo Rinomina che consente di modificare il nome della pagina selezionata della casella degli strumenti e di assegnarvi una descrizione.

Opzioni della finestra di dialogo

Didascalia

Consente di assegnare un nuovo nome alla pagina.

Descrizione conrollo

Consente di assegnare una descrizione alla pagina.


Comando Routine (menu Inserisci)

Inserisce nel modulo attivo una routine Sub, Function o Property.

Non disponibile se non è attivo alcun modulo.

Pulsante della barra degli strumenti: .


Comandi Salva <documento host> e Salva con nome (menu File)

Salva con il documento il progetto corrente e i relativi form e moduli componenti. Un progetto autonomo viene salvato separatamente come file di progetto con estensione .vba.

Al primo salvataggio del progetto con il comando Salva, viene visualizzata la finestra di dialogo Salva con nome.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+S.


Comando Seleziona tutto (menu Modifica)

Seleziona tutto il codice contenuto nella finestra del codice attiva o tutti i controlli in un form.


Comando Solo parole intere (menu di scelta rapida del Visualizzatore oggetti)

Cerca le occorrenze che corrispondono esattamente alla parola digitata nella casella Testo da cercare del Visualizzatore oggetti.


Comando Sostituisci (menu Modifica)

Cerca nel codice del progetto il testo di ricerca e lo sostituisce con il testo specificato nella finestra di dialogo Sostituisci.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+H.

Opzioni della finestra di dialogo

Trova

Digitare o incollare il testo che si desidera trovare o fare clic sulla freccia rivolta verso il basso e selezionare una delle ultime quattro voci cercate. Se nel momento in cui si sceglie il comando Sostituisci è selezionato del testo o il cursore si trova su una parola, il testo o la parola vengono visualizzati nella casella Trova.

Sostituisci con

Digitare o incollare il testo con il quale si desidera sostituire il testo trovato. Per eliminare dal documento il testo specificato nella casella Trova, è sufficiente lasciare vuota la casella Sostituisci con.

Cerca in

Specifica l'intervallo di ricerca.

  • Routine corrente: esegue la ricerca solo nella routine corrente.

  • Modulo corrente: esegue la ricerca solo nel modulo corrente.

  • Progetto corrente: esegue la ricerca in tutti i moduli del progetto.

  • Testo selezionato: esegue la ricerca nella parte di codice selezionata all'interno del progetto.

Direzione

Specifica la direzione della ricerca: è possibile selezionare Giù, Su oppure Tutto. Nell'ultimo caso la ricerca verrà eseguita nell'intervallo di ricerca selezionato.

Solo parole intere

Trova le occorrenze del testo specificato che corrispondono a una parola singola. Non trova pertanto le occorrenze contenute all'interno di un'altra parola.

Maiuscole/minuscole

Trova tutte le occorrenze che corrispondono esattamente alla combinazione di lettere maiuscole e minuscole specificate nella casella Trova.

Usa criteri di ricerca

Trova le occorrenze in base ai criteri di ricerca specificati.

Trova successivo

Trova e seleziona l'occorrenza successiva del testo specificato nella casella Trova.

Annulla

Chiude la finestra di dialogo senza sostituire il testo.

Sostituisci

Seleziona il testo di ricerca e lo sostituisce solo quando viene scelto nuovamente questo pulsante.

Sostituisci tutto

Sostituisce tutte le occorrenze del testo di ricerca senza attendere la conferma.


Comando Sposta (menu di scelta rapida)

Quando si sceglie il comando Sposta, viene eseguita una delle seguenti operazioni:

  • Se è attiva una finestra, il puntatore del mouse assume questa forma [image] e sarà pertanto possibile spostare la finestra in un altra posizione.

  • Se è attiva la casella degli strumenti, viene visualizzata la finestra di dialogo Ordine delle pagine nella quale è possibile modificare l'ordine delle pagine della casella degli strumenti.

È possibile spostare la pagina selezionata a sinistra o a destra delle altre pagine.


Comando Stack di chiamate (menu Visualizza)

Visualizza la finestra di dialogo Stack di chiamate nella quale vengono elencate le routine avviate ma non completate. Disponibile solo in modalità interruzione.

Durante l'esecuzione del codice di una routine in Visual Basic, la routine viene aggiunta nell'elenco delle chiamate alle routine attive. Se tale routine richiama a sua volta un'altra routine, l'elenco delle chiamate alle routine attive conterrà due routine. Quando una routine richiama un'altra routine Sub, Function o Property, questa viene aggiunta nell'elenco. Quando l'esecuzione passa nuovamente alla routine chiamante, la routine chiamata viene rimossa dall'elenco. Nell'elenco delle chiamate vengono inoltre inserite le routine chiamate tramite la finestra Immediata.

Per visualizzare la finestra di dialogo Stack di chiamate, è inoltre possibile fare clic sul pulsante delle chiamate (...) accanto alla casella Routine nella finestra Variabili locali.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+L.


Comando Stampa (menu File)

Esegue la stampa dei form e del codice con la stampante specificata tramite il Pannello di controllo di Microsoft Windows.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+P.

Opzioni della finestra di dialogo

Stampante

Identifica la stampante con la quale verrà eseguita la stampa.

Intervallo

Determina l'intervallo di stampa:

  • Selezione: stampa il codice selezionato.

  • Modulo corrente: stampa i form e/o il codice relativi al modulo selezionato.

  • Progetto corrente: stampa i form e/o il codice di tutto il progetto.

Stampa

Determina le informazioni da stampare. È possibile selezionare il numero di opzioni desiderate in base all'intervallo selezionato.

  • Form: stampa il form.

  • Codice: stampa il codice relativo all'intervallo selezionato.

Qualità di stampa

Determina se la qualità dell'output di stampa sarà alta, media, bassa o bozza.

Stampa su file

Se questa casella di controllo viene selezionata, l'output di stampa viene indirizzato al file specificato nella finestra di dialogo Stampa su file. Tale finestra di dialogo viene visualizzata quando si sceglie OK nella finestra di dialogo Stampa.

OK

Stampa le informazioni selezionate.

Annulla

Chiude la finestra di dialogo senza eseguire la stampa.

Imposta

Visualizza la finestra di dialogo standard Imposta stampante.


Comandi Taglia, Copia, Incolla e Elimina (menu Modifica)

Taglia

Rimuove il controllo o il testo selezionato e lo inserisce negli Appunti. Il comando è disponibile solo quando si seleziona almeno un carattere o un controllo. È possibile annullare il comando Taglia quando viene utilizzato per rimuovere un controllo.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+X o MAIUSC+CANC.

Copia

Copia negli Appunti il controllo o il testo selezionato. Il comando è disponibile solo quando si seleziona almeno un carattere o un controllo. Non è possibile annullare il comando Copia quando viene utilizzato per copiare informazioni contenute nella finestra del codice.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+C o CTRL+INS.

Incolla

Inserisce il contenuto degli Appunti nella posizione corrente. Il testo viene posizionato in corrispondenza del punto di inserimento.

I controlli incollati vengono posizionati al centro del form.

È possibile annullare il comando Incolla nella finestra del codice o nel form, se è stato incollato un controllo in un form.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+V o MAIUSC+INS.

Elimina

Elimina l'espressione di controllo, il controllo o il testo selezionati. È possibile annullare il comando Elimina solo quando viene utilizzato per eliminare informazioni dalla finestra del codice..

Nota Per eliminare un file dal disco, utilizzare la procedura standard di eliminazione del sistema operativo in uso.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CANC.

Non disponibile in fase di esecuzione.


Comandi Trova e Trova successivo (menu Modifica)

Trova

Cerca il testo specificato nell'intervallo di ricerca definito nella finestra di dialogo Trova.

Se la ricerca ha esito positivo, viene chiusa la finestra di dialogo Trova e verrà selezionato automaticamente il testo di ricerca. In caso contrario, verrà visualizzato un messaggio per indicare che il testo non è stato trovato.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: CTRL+F.

Trova successivo

Cerca e seleziona l'occorrenza successiva del testo specificato nella casella Trova della finestra di dialogo Trova.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: MAIUSC+F4 (Trova successivo) o MAIUSC+F3 (Trova precedente).

Opzioni della finestra di dialogo

Trova

Digitare o incollare il testo che si desidera trovare o fare clic sulla freccia rivolta verso il basso e selezionare una delle ultime quattro voci cercate. Se nel momento in cui si sceglie questo comando è selezionato del testo o il cursore si trova su una parola, il testo o la parola vengono visualizzati nella casella Trova.

Cerca in

Specifica l'intervallo di ricerca.

  • Routine corrente: esegue la ricerca solo nella routine corrente.

  • Modulo corrente: esegue la ricerca solo nel modulo corrente.

  • Progetto corrente: esegue la ricerca in tutti i moduli del progetto.

  • Testo selezionato: esegue la ricerca nella parte di codice selezionata all'interno del progetto.

Direzione

Specifica la direzione della ricerca. È possibile selezionare Giù o Su per indicare che la ricerca deve essere eseguita verso il basso o verso l'alto rispetto alla posizione del cursore oppure Tutto per eseguire la ricerca nell'intero intervallo di ricerca.

Solo parole intere

Trova le occorrenze del testo specificato che corrispondono a una parola singola. Non trova pertanto le occorrenze contenute all'interno di un'altra parola.

Maiuscole/minuscole

Trova tutte le occorrenze che corrispondono esattamente alla combinazione di lettere maiuscole e minuscole specificate nella casella Trova.

Usa criteri di ricerca

Trova le occorrenze in base ai criteri di ricerca specificati.

Trova successivo

Trova e seleziona l'occorrenza successiva del testo specificato nella casella Trova.

Annulla

Chiude la finestra di dialogo senza eseguire la ricerca.

Sostituisci

Visualizza la finestra di dialogo Sostituisci mantenendo le informazioni specificate nella finestra di dialogo Trova.


Comandi Visualizza oggetto e Visualizza codice (menu di scelta rapida)

Consentono di visualizzare rispettivamente la finestra di progettazione e la finestra del codice.

Visualizza oggetto

Visualizza o attiva l'elemento selezionato.

Visualizza codice

Visualizza o attiva la finestra del codice nel punto in cui si trova l'oggetto.


Comando Ultima posizione (menu Visualizza)

Consente di passare in modo rapido a una punto del codice in corrispondenza del quale è stata eseguita un'operazione. Disponibile solo se è stata eseguita un'operazione di modifica del codice o se è stato scelto il comando Definizione e solo quando è visualizzata la finestra del codice. Visual Basic registra solo le ultime otto righe modificate o alle quali si è avuto accesso.

Tasti di scelta rapida: CTRL+MAIUSC+F2.


Comando Visualizza definizione (menu di scelta rapida del Visualizzatore oggetti)

Visualizza la parte del codice in cui è stato definito il membro selezionato.


Comando Visualizzatore oggetti (menu Visualizza)

Apre il Visualizzatore oggetti nel quale vengono elencate le librerie degli oggetti, le librerie dei tipi, le classi, i metodi, le proprietà, gli eventi e le costanti che è possibile utilizzare nel codice nonché i moduli e le routine definite per il progetto creato.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: F2.


Casella degli strumenti

Visualizza i controlli standard di Visual Basic e i controlli ActiveX o oggetti inseribili che sono stati aggiunti nel progetto.

  • È possibile personalizzare la casella degli strumenti con l'aggiunta di pagine o di controlli tramite il comando Controlli aggiuntivi del menu Strumenti.

    Nelle nuove pagine aggiunte è sempre disponibile uno strumento Seleziona oggetti.

Controlli della casella degli strumenti standard

Seleziona oggetti (puntatore)

È l'unico elemento della casella degli strumenti che non consente di disegnare un controllo. Questo strumento viene utilizzato unicamente per ridimensionare o spostare un controllo già disegnato sul form.

Label

Consente di inserire nel form del testo che non deve essere modificato dall'utente, ad esempio la didascalia di un'immagine grafica.

TextBox

Casella in cui l'utente può digitare o modificare il testo.

ComboBox

Consente di disegnare un controllo costituito da una casella di riepilogo e da una casella di testo. È possibile selezionare una voce nell'elenco o digitare informazioni nella casella di testo.

ListBox

Utilizzato per visualizzare un elenco di voci che possono essere selezionate. È possibile scorrere l'elenco se contiene un numero di elementi maggiore di quelli che è possibile visualizzare in una sola volta.

CheckBox

Consente di creare una casella di controllo che è possibile selezionare per impostare un elemento come vero o falso. È inoltre possibile creare un gruppo di caselle che potranno essere selezionate singolarmente o a gruppi.

OptionButton

Consente di creare un elenco di voci che si escludono reciprocamente. È pertanto possibile selezionarne solo una alla volta.

ToggleButton

Consente di creare un pulsante interruttore che può essere attivato o disattivato.

Frame

Consente di creare una cornice all'interno della quale è possibile inserire un gruppo grafico o funzionale di controlli. Per raggruppare i controlli è necessario disegnare prima la cornice e quindi disegnare i controlli al suo interno.

CommandButton

Consente di creare un pulsante che è possibile scegliere per eseguire un comando.

TabStrip

Consente di inserire più pagine nella stessa finestra o finestra di dialogo dell'applicazione creata.

MultiPage

Consente di creare un gruppo di schermate di informazioni.

ScrollBar

Consente di creare uno strumento grafico per spostarsi in modo rapido in un elenco di grandi dimensioni o in una notevole quantità di informazioni. Può inoltre essere utilizzato per indicare la posizione corrente in una scala di valori, come dispositivo di input o come indicatore di velocità o quantità.

SpinButton

Consente di creare un pulsante di selezione che è possibile utilizzare in combinazione con un altro controllo per l'incremento o il decremento di valori. Può inoltre essere utilizzato per scorrere un intervallo di valori o un elenco di elementi.

Image

Visualizza nel form un'immagine grafica di tipo bitmap, icona o metafile. Le immagini visualizzate in un controllo Image possono essere utilizzate solo a scopo decorativo e utilizzano una quantità minore di risorse rispetto al controllo PictureBox.


Finestra del codice

La finestra del codice viene utilizzata per scrivere, modificare e visualizzare il codice Visual Basic. Il numero di finestre del codice che è possibile aprire corrisponde al numero dei moduli disponibili. In tal modo è possibile visualizzare il codice relativo ai vari form o moduli e copiare e incollare il codice tra le varie finestre.

Per aprire la finestra del codice:

  • Selezionare un form o un modulo nella finestra Progetto e fare clic sul pulsante Visualizza codice.

  • Fare doppio clic su un controllo o sul form nella finestra UserForm, scegliere Codice dal menu Visualizza oppure premere F7.

È possibile trascinare il testo selezionato in una delle seguenti posizioni:

  • Una posizione diversa nella stessa finestra del codice.

  • Un'altra finestra del codice.

  • Le finestre Immediata e Espressioni di controllo.

  • Il Cestino.

Elementi della finestra

Casella Oggetto

Visualizza il nome dell'oggetto selezionato. Fare clic sulla freccia a destra della casella di riepilogo per visualizzare l'elenco di tutti gli oggetti associati al form.

Casella Routine

Visualizza tutti gli eventi associati al form o al controllo visualizzato nella casella Oggetto. Quando si seleziona un evento, la routine di eventi associata a tale evento viene visualizzata nella finestra del codice.

Se nella casella Oggetto viene selezionato (generale), nella casella Routine viene visualizzato un elenco che comprende la voce (dichiarazioni) e i nomi di tutte le routine generali create per il form. Nella casella Routine delle finestre del codice dei moduli, vengono elencate tutte le routine generali del modulo. In entrambi i casi la routine selezionata nella casella Routine viene visualizzata nella finestra del codice.

I nomi delle routine disponibili in un modulo vengono elencati in ordine alfabetico in una singola casella di riepilogo. Quando si seleziona una routine nelle caselle di riepilogo a discesa disponibili nella parte superiore della finestra del codice, il cursore si sposta sulla prima riga di codice della routine selezionata.

Barra di divisione

Trascinare questa barra verso il basso per dividere la finestra del codice in due riquadri in senso orizzontale. In tal modo sarà possibile visualizzare contemporaneamente parti diverse del codice. Le informazioni visualizzate nelle caselle Oggetto e Routine si riferiscono al codice contenuto nel riquadro su cui si trova lo stato attivo. Per chiudere un riquadro, trascinare la barra sul bordo inferiore o superiore della finestra oppure fare doppio clic sulla barra.

Barra indicatori

Area di colore grigio in cui vengono visualizzati gli indicatori a margine, situata lungo il margine sinistro della finestra del codice.

Icona Visualizza routine

Visualizza la routine selezionata. Nella finestra del codice viene visualizzata una sola routine alla volta.

Icona Visualizza modulo intero

Visualizza tutto il codice contenuto nel modulo.


Finestra Espressioni di controllo

Viene visualizzata automaticamente quando vengono definite delle espressioni di controllo per il progetto.

È possibile:

  • Ridimensionare le intestazioni di colonna trascinandone i bordi verso destra o verso sinistra per aumentare o diminuire rispettivamente le dimensioni.

  • Selezionare una variabile e trascinarla nella finestra Immediata o nella finestra Espressioni di controllo.

  • Chiudere la finestra facendo clic sul pulsante di chiusura. Se questo non è visualizzato, fare doppio clic sulla barra del titolo per visualizzarlo e quindi fare clic sul pulsante.

Elementi della finestra

Espressione

Visualizza l'elenco delle espressioni di controllo con l'icona che le identifica, [image] a sinistra.

Valore

Visualizza il valore dell'espressione nel momento in cui si è passati in modalità interruzione.

È possibile modificare il valore e quindi, per rendere effettiva la modifica, premere INVIO, freccia SU, freccia GIÙ, TABULAZIONE, MAIUSCOLE+TABULAZIONE o fare clic su un punto qualsiasi della schermata. Se il valore non è valido, il campo di modifica rimane attivo e il valore viene evidenziato. Viene inoltre visualizzato un messaggio con la descrizione dell'errore. Per annullare una modifica, premere ESC.

Tipo

Visualizza il tipo dell'espressione.

Contesto

Visualizza il contesto dell'espressione di controllo.

Se quando si passa in modalità interruzione, il contesto dell'espressione non è compreso nell'area di validità, il valore corrente non viene visualizzato.

È possibile chiudere la finestra facendo clic sul pulsante di chiusura. Se questo non è visualizzato, fare doppio clic sulla barra del titolo per visualizzarlo e quindi fare clic sul pulsante.


Finestra Immediata

Consente di:

  • Digitare o incollare una riga di codice e premere INVIO per eseguire tale riga di codice.

  • Copiare parti di codice nella finestra Immediata e incollarle nella finestra del codice. Non consente di salvare il codice contenuto nella finestra Immediata.

La finestra Immediata può essere posizionata in qualsiasi punto della finestra principale di Visual Basic a meno che non sia stata impostata come ancorabile nella scheda Ancoraggio della finestra di dialogo Opzioni.

Per chiudere la finestra fare clic sul pulsante di chiusura. Se questo non è visualizzato, fare doppio clic sulla barra del titolo per visualizzarlo e quindi fare clic sul pulsante.

Nota In modalità interruzione, le istruzioni contenute nella finestra Immediata vengono eseguite nel contesto o area di validità visualizzato nella casella Routine. Se, ad esempio, si digita Print nomevariabile, l'output dell'istruzione sarà il valore della variabile locale. Ciò equivale ad applicare il metodo Print nella routine eseguita nel momento in cui l'esecuzione del programma è stata interrotta.


Finestra Proprietà

Visualizza l'elenco delle proprietà degli oggetti selezionati che possono essere impostate in fase di progettazione e i relativi valori. Se si selezionano più controlli, nella finestra Proprietà verranno visualizzate le proprietà comuni ai controlli selezionati.

Elementi della finestra

Casella dell'oggetto

Visualizza gli oggetti selezionati nel form attivo. Se si selezionano più oggetti, nelle schede degli elenchi delle proprietà vengono visualizzate le proprietà comuni a tutti gli oggetti e le relative impostazioni, in base al primo oggetto selezionato.

Schede degli elenchi delle proprietà

  • Scheda Alfabetico. Visualizza l'elenco in ordine alfabetico e le impostazioni correnti di tutte le proprietà dell'oggetto selezionato che possono essere modificate in fase di progettazione. Per modificare l'impostazione di una proprietà, selezionare il nome della proprietà e digitare o selezionare l'impostazione desiderata.

  • Scheda Per categoria. Visualizza le proprietà dell'oggetto selezionato ordinate per categoria. Le proprietà BackColor, Caption e ForeColor, ad esempio, verranno visualizzate nella categoria Aspetto. È possibile comprimere l'elenco in modo da visualizzare le categorie oppure espandere una categoria per visualizzare le proprietà corrispondenti. Quando si espande o si comprime l'elenco, a sinistra del nome della categoria verrà visualizzato rispettivamente il segno meno (-) o il segno più (+).


Finestra UserForm

Consente di creare le finestre o le finestre di dialogo per il progetto. I controlli vengono disegnati e visualizzati in un form.

Durante la progettazione di un form:

  • Per ogni finestra dei form sono disponibili i pulsanti di ingrandimento, di riduzione a icona e di chiusura.

  • È possibile visualizzare la griglia del form e impostare le dimensioni delle righe della griglia nella scheda Generale della finestra di dialogo Opzioni.

  • Utilizzare i pulsanti della casella degli strumenti per disegnare i controlli sul form. Nella scheda Generale della finestra di dialogo Opzioni è possibile scegliere se allineare o meno i controlli alla griglia del form.


Finestra Variabili locali

Visualizza automaticamente tutte le variabili dichiarate nella routine corrente e i relativi valori.

Se la finestra Variabili locali è visualizzata, viene aggiornata automaticamente ogni volta che si passa dalla modalità esecuzione alla modalità interruzione o ci si sposta all'interno della finestra dello stack di chiamate.

È possibile:

  • Ridimensionare le intestazioni delle colonne trascinandone i bordi verso destra o verso sinistra.

  • Chiudere la finestra facendo clic sul pulsante di chiusura. Se questo non è visualizzato, fare doppio clic sulla barra del titolo per visualizzarlo e quindi fare clic sul pulsante.

Elementi della finestra

Pulsante dello stack di chiamate

Apre la finestra di dialogo Stack di chiamate in cui vengono elencate le routine disponibili nello stack delle chiamate.

Espressione

Visualizza l'elenco dei nomi delle variabili.

La prima variabile dell'elenco è una variabile di modulo speciale che è possibile espandere per visualizzare tutte le variabili a livello di modulo del modulo corrente. Per i moduli di classe viene definita la variabile di sistema <Me>. Per i moduli standard la prima variabile viene visualizzata nel seguente formato: <nome del modulo corrente>. Dalla finestra Variabili locali non è possibile accedere alle variabili globali e alle variabili di altri progetti.

Non è possibile eseguire operazioni di modifica in questa colonna.

Valore

Visualizza il valore della variabile.

Quando si fa clic su un valore disponibile nella colonna Valore, il cursore assume la forma di una barra verticale intermittente. È possibile modificare il valore e quindi, per rendere effettiva la modifica, premere INVIO, freccia SU, freccia GIÙ, TABULAZIONE, MAIUSCOLE+TABULAZIONE o fare clic su un punto qualsiasi della schermata. Se il valore non è valido, il campo di modifica rimane attivo e il valore viene evidenziato. Viene inoltre visualizzato un messaggio con la descrizione dell'errore. Per annullare una modifica, premere ESC.

Per tutte le variabili numeriche deve essere visualizzato un valore. Alle variabili stringa può essere associata una stringa vuota nella colonna Valore.

Le variabili che contengono sottovariabili possono essere espanse e compresse. Per le variabili compresse non viene visualizzato un valore che invece viene visualizzato per le sottovariabili. L'icona di espansione, [image] e l'icona di compressione, [image] vengono visualizzate a sinistra della variabile.

Tipo

Visualizza il tipo della variabile. In questa colonna non è possibile eseguire operazioni di modifica.


Gestione progetti

Visualizza una struttura gerarchica dei progetti e di tutti gli elementi contenuti a cui si fa riferimento in ciascun progetto.

Elementi della finestra

Visualizza codice

Visualizza la finestra del codice in modo che sia possibile scrivere e modificare il codice associato all'elemento selezionato.

Visualizza oggetto

Visualizza la finestra dell'oggetto relativa all'elemento selezionato, a un Documento o UserForm esistenti.

Espandi/comprimi cartelle

Visualizza e nasconde le cartelle degli oggetti visualizzando comunque i singoli elementi in esse contenuti.

Riquadro elenco

Visualizza l'elenco di tutti i progetti caricati e degli elementi inclusi in ogni progetto.

  • Progetto

    Visualizza il progetto e gli elementi che contiene.

    • UserForm

      Elenco di tutti i file con estensione frm associati al progetto.

    • Documento

      Il documento associato al progetto. In Microsoft Word, ad esempio, si tratta del documento Word.

    • Moduli

      Elenco di tutti i moduli con estensione bas associati al progetto.

    • Moduli di classe

      Elenco di tutti i file con estensione cls associati al progetto.

    • Finestra di progettazione ActiveX

      Elenco di tutte le finestre di progettazione, file con estensione dsr nel progetto.

    • Riferimenti

      Elenco dei riferimenti ad altri progetti impostati tramite il comando Riferimenti del menu Strumenti.


Visualizzatore oggetti

Visualizza le classi, le proprietà, i metodi, gli eventi e le costanti incluse nelle librerie degli oggetti e nelle routine disponibili per il progetto. È possibile utilizzare il Visualizzatore oggetti per cercare e utilizzare gli oggetti creati e gli oggetti disponibili in altre applicazioni.

Per ulteriori informazioni sul Visualizzatore oggetti, cercare Visualizzatore oggetti nella Guida in linea.

Elementi della finestra Casella Progetto/libreria

Consente di visualizzare le librerie a cui fa riferimento il progetto corrente. Per aggiungere altre librerie, utilizzare la finestra di dialogo Riferimenti. Se si seleziona <Tutte le librerie> verranno visualizzate contemporaneamente tutte le librerie.

Casella Testo da cercare

Consente di specificare o selezionare la stringa da utilizzare per la ricerca. In questa casella sono disponibili le ultime quattro stringhe di ricerca fino a quando il progetto non verrà chiuso. Nella stringa è possibile specificare i caratteri jolly standard di Visual Basic.

Per cercare una parola singola, è possibile utilizzare il comando Solo parole intere del menu di scelta rapida.

Pulsante Indietro

Consente di tornare all'elemento precedentemente selezionato nelle caselle di riepilogo Classi e Membri di. Ogni volta che si fa clic su questo pulsante, si passa all'elemento precedentemente selezionato fino al primo.

Pulsante Avanti

Ogni volta che si fa clic su questo pulsante vengono selezionati nuovamente gli elementi già selezionati nelle caselle di riepilogo Classi e Membri di fino all'ultimo.

Pulsante Copia negli Appunti

Copia negli Appunti il nome dell'elemento attualmente selezionato nelle caselle di riepilogo Classi e Membri di o il testo disponibile nel riquadro dei dettagli. L'elemento selezionato o il testo potranno quindi essere incollati nel codice.

Pulsante Visualizza definizione

Sposta il cursore nella finestra del codice in corrispondenza del punto in cui è stato definito l'elemento selezionato nelle caselle di riepilogo Classi e Membri di.

Pulsante ?

Visualizza l'argomento della Guida in linea corrispondente all'elemento selezionato nelle caselle di riepilogo Classi e Membri di. In alternativa, è possibile premere F1.

Pulsante Cerca in

Cerca nelle librerie la classe o la proprietà, il metodo, l'evento o la costante che corrispondono alla stringa specificata nella casella Testo da cercare. Viene inoltre visualizzato il riquadro Risultati ricerca, in cui sono disponibili le informazioni relative alla ricerca.

Pulsante Mostra risultati ricerca e Nascondi risultati ricerca

Visualizzano e nascondono rispettivamente il riquadro Risultati ricerca. Le informazioni disponibili in tale riquadro cambiano in base alla libreria o al progetto selezionati nella casella di riepilogo Progetto/libreria. I risultati vengono raggruppati per ordine alfabetico da A a Z.

Casella di riepilogo Risultati ricerca

Visualizza la libreria, la classe e il membro corrispondenti agli elementi in cui è contenuta la stringa di ricerca. Le informazioni disponibili nel riquadro Risultati ricerca cambiano in base all'elemento selezionato nella casella Progetto/libreria.

Casella di riepilogo Classi

Visualizza tutte le classi disponibili nella libreria o nel progetto selezionati nella casella Progetto/libreria. Se per una determinata classe è disponibile del codice, tale classe verrà visualizzata in grassetto. Il primo elemento dell'elenco è sempre <globali> e corrisponde all'elenco dei membri a cui si può accedere globalmente.

Se si seleziona una classe ma non si specifica un membro, verrà utilizzato il membro predefinito, se disponibile. Il membro predefinito è identificato da un asterisco (*) o dall'icona predefinita del membro.

Casella di riepilogo Membri di

Visualizza gli elementi appartenenti alla classe selezionata nel riquadro Classi per gruppo e quindi per ordine alfabetico in ogni gruppo. I metodi, le proprietà, gli eventi o le costanti per cui è disponibile del codice vengono visualizzati in grassetto. Per modificare il tipo di ordinamento dell'elenco è possibile utilizzare il comando Raggruppa membri del menu di scelta rapida del Visualizzatore oggetti.

Riquadro dei dettagli

Mostra la definizione del membro. Dal riquadro dei dettagli è possibile passare direttamente alla classe o alla libreria a cui l'elemento appartiene. Per alcuni membri è possibile passare direttamente alla relativa classe principale. Se, ad esempio, nel riquadro dei dettagli viene indicato che Command1 è stato dichiarato come "CommandButton", facendo clic su "CommandButton" si passerà direttamente alla classe CommandButton.

È possibile copiare o trascinare del testo dal riquadro dei dettagli alla finestra del codice.

Barra di divisione

Consente di dividere i riquadri in modo che sia possibile ridimensionarli. Le barre di divisione possono essere utilizzate tra:

  • Le caselle Classi e Membri di.

  • La casella Risultati ricerca e le caselle Classi e Membri di.

  • Le caselle Classi e Membri di e il riquadro dei dettagli.


Menu ?

Guida di Microsoft Visual Basic

Se l'Assistente di Office non è visualizzato, visualizza l'Assistente di Office e il fumetto dell'Assistente di Office. Se l'Assistente di Office è visualizzato, visualizza il fumetto.

Pulsante della barra degli strumenti: . Tasti di scelta rapida: F1.

MSDN sul Web

Consente di collegarsi a Internet per la consultazione di informazioni aggiuntive e di supporto tecnico.

Per poter utilizzare questo comando, è necessario disporre di un modem o di una connessione di rete con Internet nonché di un browser Web.

Informazioni su Microsoft Visual Basic

Visualizza una finestra di dialogo in cui sono disponibili il numero di versione e informazioni sul copyright e sul sistema.


Menu Aggiunte

Gestione aggiunte


Menu Debug

Compila <progetto>

Esegui istruzione

Esegui istruzione/routine

Esci da istruzione/routine

Esegui fino al cursore

Aggiungi espressione di controllo

Modifica espressione di controllo

Controllo immediato

Imposta/rimuovi punto di interruzione

Rimuovi punti di interruzione

Imposta istruzione successiva

Mostra istruzione successiva


Menu di Visual Basic

In Visual Basic sono disponibili due tipi di menu: predefiniti e di scelta rapida.

Menu predefiniti

I menu predefiniti vengono visualizzati sulla barra dei menu nella parte superiore della finestra principale di Visual Basic. In ogni menu sono disponibili comandi correlati al nome del menu. Il menu Formato, ad esempio, contiene i comandi utilizzati per formattare i form. Per alcuni menu sono disponibili dei sottomenu che contengono comandi più specifici. Il sottomenu del comando Barre degli strumenti del menu Visualizza include, ad esempio, i nomi delle barre degli strumenti e il comando Personalizza, che è possibile utilizzare per modificare i menu predefiniti o per aggiungere comandi nella barra dei menu.

Menu di scelta rapida

Nei menu di scelta rapida sono disponibili comandi usati di frequente. Per visualizzare tali comandi, fare clic con il pulsante destro del mouse o premere MAIUSC+F10.

Nota Per informazioni su un comando di menu, scegliere Indice Guida di riferimento dal menu ? e cercare il nome del comando desiderato.


Menu Esegui

Esegui Sub/UserForm o Esegui macro

Interrompi

Reimposta

Modalità progettazione/Esci da modalità progettazione

Modalità pubblicazione


Menu File

Nuovo progetto

Apri progetto

Salva <documento host> e Salva con nome

Importa file

Esporta file

Chiudi progetto

Rimuovi <elemento>

Stampa

Crea <progetto>

Chiudi e torna a <applicazione host>

Nota Alcune voci di menu non sono disponibili in tutte le edizioni dell'editor di Visual Basic.


Menu Formato

Allinea

Rendi uguale

Adatta

Adatta alla griglia

Spaziatura orizzontale

Spaziatura verticale

Centra nel form

Disponi pulsanti

Raggruppa

Annulla raggruppamento

Ordina


Menu Inserisci

Routine

UserForm

Modulo

Modulo di classe

Componenti

File

Nota Alcune voci di menu non sono disponibili in tutte le edizioni dell'editor di Visual Basic.


Menu Modifica

Annulla

Ripeti

Taglia

Copia

Incolla

Cancella ed elimina

Seleziona tutto

Trova

Trova successivo

Sostituisci

Aumenta rientro

Riduci rientro

Elenca proprietà/metodi

Elenca costanti

Informazioni rapide

Informazioni parametri

Completa parola

Segnalibri


Menu Strumenti

Riferimenti

Macro

Opzioni

Proprietà di <progetto>

Firma digitale


Menu Visualizza

Codice

Oggetto

Definizione

Ultima posizione

Visualizzatore oggetti

Finestra Immediata

Finestra Variabili locali

Finestra Espressioni di controllo

Stack di chiamate

Gestione progetti

Finestra Proprietà

Casella degli strumenti

Ordine di tabulazione

Barre degli strumenti

<applicazione host>


Finestra di dialogo Aggiungi espressione di controllo

Consente di inserire espressioni di controllo. L'espressione può essere una variabile, una proprietà, una chiamata a una funzione o qualsiasi altra espressione Basic valida. Le espressioni di controllo vengono aggiornate nella finestra Espressioni di controllo ogni volta che si passa in modalità interruzione o dopo l'esecuzione di ogni istruzione nella finestra Immediata.

È possibile selezionare un'espressione nella finestra del codice e trascinarla nella finestra Espressioni di controllo.

Importante Quando si seleziona un contesto per un'espressione di controllo, è consigliabile limitare il più possibile l'area di validità Se come area di validità si specificano tutte le routine e tutti i moduli, la velocità di esecuzione potrebbe ridursi notevolmente, in quanto l'espressione viene valutata dopo l'esecuzione di ogni istruzione. Se invece si seleziona come contesto una sola routine, la valutazione dell'espressione di controllo influisce sui tempi di esecuzione solo durante l'intervallo di tempo in cui la routine in questione è inclusa nell'elenco delle chiamate di routine attive. Per visualizzare tale elenco, scegliere il comando Stack di chiamate dal menu Visualizza.

Opzioni della finestra di dialogo

Espressione

Visualizza l'espressione selezionata (impostazione predefinita). L'espressione può essere rappresentata da una variabile, da una proprietà, da una chiamata a una funzione o da qualsiasi altra espressione valida. È inoltre possibile inserire in questa casella un'altra espressione di controllo che si desidera valutare.

Contesto

Imposta l'area di validità delle variabili controllate dall'espressione.

  • Routine: visualizza il nome della routine in cui si trova l'elemento selezionato (impostazione predefinita). Consente di specificare le routine per le quali l'espressione deve essere valutata. È possibile selezionare tutte le routine o un contesto rappresentato da una routine specifica in cui verrà valutata la variabile.

  • Modulo: visualizza il nome del modulo corrente. Le espressioni non possono essere valutate in un contesto esterno al progetto corrente.

  • Progetto: visualizza il nome del progetto corrente. Le espressioni non possono essere valutate in un contesto esterno al progetto corrente.

Tipo di espressione di controllo

Determina le modalità di risposta di Visual Basic all'espressione di controllo.

  • Espressione di controllo: visualizza l'espressione di controllo e il relativo valore nella finestra Espressioni di controllo. Quando si passa in modalità interruzione, il valore dell'espressione di controllo viene aggiornato automaticamente.

  • Interrompi se il valore è vero: l'esecuzione viene interrotta in modo automatico quando l'espressione risulta vera o assume un qualsiasi valore diverso da zero (non valido per le espressioni stringa).

  • Interrompi se il valore cambia: l'esecuzione viene interrotta in modo automatico quando il valore dell'espressione cambia all'interno del contesto specificato.


Finestra di dialogo Apri progetto

Consente di individuare e aprire un progetto autonomo.

Opzioni della finestra di dialogo

Apri

Visualizza il file selezionato.

Annulla

Chiude la finestra di dialogo senza aprire un nuovo progetto.


Finestra di dialogo Carattere

Consente di modificare il tipo, le dimensioni e/o lo stile del carattere utilizzato per il testo e per i campi che contengono dati.

Opzioni della finestra di dialogo

Tipo

Visualizza l'elenco di tutti i tipi di carattere installati in Windows. Quando la finestra di dialogo viene aperta, viene evidenziato il tipo di carattere utilizzato per l'elemento selezionato.

Stile

Visualizza quattro attributi aggiuntivi che è possibile assegnare al tipo di carattere selezionato:

  • Normale: stile standard senza modifiche

  • Grassetto: grassetto

  • Corsivo: corsivo

  • Grassetto Corsivo: corsivo e grassetto

Dimensione

Visualizza le dimensioni più comuni, espresse in punti, per il tipo di carattere evidenziato. Quando la finestra di dialogo viene aperta, la dimensione del testo selezionato viene evidenziata e visualizzata come primo elemento nella parte superiore della casella.

È possibile selezionare una dimensione nell'elenco o digitare nella casella una dimensione in punti (se sono state installate altre dimensioni per la stampante corrente o se si utilizza un tipo di carattere scalabile).

Effetti

In questo gruppo sono disponibili due opzioni che è possibile utilizzare per far risaltare il testo selezionato rispetto al resto del testo.

  • Barrato: selezionare questa casella di controllo per applicare lo stile barrato al testo selezionato.

  • Sottolineato: selezionare questa casella di controllo per sottolineare il testo selezionato.

    È possibile selezionare anche entrambi gli effetti.

Esempio

Visualizza un esempio del tipo di carattere selezionato con gli stili, la dimensione, gli effetti e il colore specificati. In questa casella è pertanto possibile visualizzare un'anteprima delle impostazioni specificate per il carattere durante la modifica.

Scrittura

Visualizza l'elenco dei tipi di scrittura disponibili.

OK

Applica le modifiche all'elemento del report selezionato.

Annulla

Annulla tutte le modifiche e non le applica pertanto all'elemento del report selezionato.


Finestra di dialogo Componenti

Consente di aggiungere componenti nel progetto, ovvero controlli, finestre di progettazione.

Opzioni della finestra di dialogo

Schede

Nelle varie schede sono elencati i vari componenti che è possibile aggiungere in base alla categoria.

  • Controlli

  • Finestre di progettazione

Applica

Aggiunge nella casella degli strumenti i controlli selezionati e nel menu Inserisci la finestra di progettazione selezionata senza chiudere la finestra di dialogo.

OK

Aggiunge nella casella degli strumenti i controlli selezionati e nel menu Inserisci la finestra di progettazione selezionata, quindi chiude la finestra di dialogo Componenti.


Finestra di dialogo Controlli aggiuntivi

In questa finestra di dialogo è possibile aggiungere controlli nella Casella degli strumenti del progetto.

Opzioni della finestra di dialogo

Controlli disponibili

Visualizza i controlli personalizzati disponibili.

Nota Non è possibile rimuovere un controllo in uso nel progetto.

Mostra

Determina gli elementi dell'elenco Controlli disponibili. È possibile selezionare la seguente opzione oppure non eseguire alcuna impostazione.

  • Solo elementi selezionati: consente di visualizzare soltanto gli elementi selezionati nell'elenco Controlli disponibili.

Percorso

Visualizza il percorso dell'elemento selezionato nell'elenco Controlli disponibili.


Finestra di dialogo Controllo immediato

Visualizza il valore corrente dell'espressione selezionata. Ciò risulta utile se durante le operazioni di debug del codice si desidera visualizzare il valore corrente di una variabile, di una proprietà o di un'altra espressione.

Opzioni della finestra di dialogo

Contesto

Visualizza l'elenco dei nomi del progetto, del modulo e della routine in cui si trova l'espressione di controllo.

Espressione

Visualizza l'espressione selezionata.

Valore

Visualizza il valore dell'espressione selezionata. Il valore corrente non viene visualizzato se l'espressione non si trova all'interno di una routine compresa nell'elenco disponibile nella finestra di dialogo Stack di chiamate.

Aggiungi

Inserisce l'espressione nella finestra Espressioni di controllo.


Finestra di dialogo Editor di pulsanti

Consente di modificare le icone della casella degli strumenti.

Opzioni della finestra di dialogo

Immagine

Visualizza l'icona pixel per pixel.

Sposta

Consente di spostare l'immagine in modo che sia possibile visualizzarla interamente e quindi modificarla.

  • Sposta l'immagine di una riga verso l'alto ogni volta che si fa clic su di essa fino a quando viene visualizzata l'ultima riga di pixel.

  • Sposta l'immagine di una riga verso il basso ogni volta che si fa clic su di essa fino a quando viene visualizzata la prima riga di pixel.

  • Sposta l'immagine di una riga verso destra ogni volta che si fa clic su di essa fino a quando viene visualizzata l'ultima colonna di pixel a destra.

  • Sposta l'immagine di una riga verso sinistra ogni volta che si fa clic su di essa fino a quando viene visualizzata la prima colonna di pixel a sinistra.

Colori

Consente di modificare il colore dei pixel. Fare clic sul colore desiderato e quindi sul pixel a cui si desidera assegnare tale colore.

Elimina: rimuove il colore dal pixel su cui si fa clic dopo aver fatto clic su questa casella.

Anteprima

Visualizza l'aspetto dell'icona durante le modifiche.

Cancella

Cancella i colori e l'immagine dalla casella Immagine.

OK

Assegna l'immagine al controllo.


Finestra di dialogo Esporta file

In questa finestra di dialogo è possibile associare un nome al file esportato e scegliere una posizione in cui salvare il file.

Opzioni della finestra di dialogo

Salva in

Consente di selezionare la cartella in cui si desidera memorizzare il file.

Cartella superiore

Visualizza un elenco delle cartelle o unità superiori di un livello rispetto alla cartella corrente.

Crea nuova cartella

Consente di creare una nuova cartella.

Dettagli

Elenca le cartelle o i documenti visualizzandone l'icona, il nome, le dimensioni (solo per i documenti), il tipo, nonché la data e l'ora dell'ultima modifica.

Elenco

Elenca le cartelle o i documenti visualizzandone l'icona e il nome.

Nome file

Se non si specifica alcuna estensione per il nome del file, viene aggiunta automaticamente l'estensione .frm per i form, .bas per i moduli e .cls per i moduli di classe.

Tipo file

Consente di selezionare uno dei seguenti tipi di file:

  • File form (*.frm): vengono elencati tutti i form.

  • File Basic (*.bas): vengono elencati tutti i moduli standard.

  • File di classe (*.cis): vengono elencati tutti i moduli di classe.


Finestra di dialogo Firma digitale

Consente di associare una firma digitale al progetto tramite l'assegnazione di un certificato.

Opzioni della finestra di dialogo

Il progetto VBA è attualmente firmato con il nome

Visualizza il nome del certificato assegnato al progetto.

Firma come

Visualizza il certificato predefinito.

Rimuovi

Rimuove il certificato corrente dal progetto.

Scegli

Visualizza la finestra di dialogo Seleziona Certificato in cui è possibile selezionare un certificato.

OK

Assegna il certificato selezionato al progetto e chiude la finestra di dialogo Firma digitale.

Annulla

Chiude la finestra di dialogo senza modificare la firma digitale del progetto.


Finestra di dialogo Gestione aggiunte

Consente di registrare, caricare, scaricare e impostare la modalità di caricamento di un'aggiunta. Se vengono chiuse soltanto le parti visibili di un aggiunta, ad esempio facendo doppio clic sul corrispondente menu di sistema o facendo clic sul pulsante di chiusura, i form associati non saranno più visualizzati sullo schermo, ma l'aggiunta sarà comunque presente in memoria dove verrà conservata fino a quando non viene disconnessa tramite la finestra di dialogo Gestione aggiunte.

Per visualizzare Gestione aggiunte, scegliere Gestione aggiunte dal menu Aggiunte.

Opzioni della finestra di dialogo

Elenco Aggiunte

  • Aggiunte disponibili: visualizza un elenco delle aggiunte disponibili.

  • Caricamento: visualizza la modalità di caricamento dell'aggiunta selezionata.

Descrizione

Visualizza una descrizione della funzione dell'aggiunta.

Caricamento

  • Carica/non caricare: consente di caricare e scaricare l'aggiunta selezionata.

  • Carica all'avvio: consente di caricare l'aggiunta selezionata all'avvio dell'ambiente di sviluppo.

  • Riga di comando: consente di caricare l'aggiunta selezionata quando l'ambiente di sviluppo viene avviato dal prompt della riga di comandi o da uno script.

OK

Aggiorna la modalità di caricamento delle aggiunte selezionate.

Annulla

Annulla tutti gli aggiornamenti apportati durante la sessione corrente.


Finestra di dialogo Importa file

In questa finestra di dialogo è possibile scegliere il file che si desidera importare.

Opzioni della finestra di dialogo

Cerca in

Consente di selezionare la posizione in cui si trova il progetto da aprire.

Cartella superiore

Visualizza un elenco delle cartelle o unità superiori di un livello rispetto alla cartella corrente.

Crea nuova cartella

Consente di creare una nuova cartella.

Elenco

Elenca le cartelle o i progetti visualizzandone l'icona e il nome.

Dettagli

Elenca le cartelle o i progetti visualizzandone l'icona, il nome, le dimensioni, il tipo, nonché la data e l'ora dell'ultima modifica.

Nome file

Consente di selezionare o specificare il nome del file che si desidera importare.

Tipo file

Consente di selezionare un tipo di file. L'impostazione predefinita corrisponde ai file di progetto di Visual Basic (*.frm, *.bas, *.cls). I file del tipo selezionato verranno visualizzati nella casella di riepilogo Nome file.

Apri

Consente di aprire il file selezionato.

Annulla

Consente di chiudere la finestra di dialogo senza aprire un nuovo progetto.


Finestra di dialogo Imposta stampante

Viene visualizzata quando si fa clic su Imposta nella finestra di dialogo Stampa.

In questa finestra di dialogo è possibile selezionare la stampante, l'orientamento della pagina e le dimensioni del foglio.

Opzioni della finestra di dialogo

Stampante

Consente di specificare la stampante desiderata. Se non si seleziona una stampante, l'output di stampa verrà indirizzato alla stampante predefinita di Windows.

  • Nome: visualizza l'elenco delle stampanti disponibili.

  • Stato: visualizza lo stato della stampante e se questa è pronta a eseguire la stampa.

  • Tipo: visualizza il tipo di stampante.

  • Percorso: visualizza la posizione della stampante. Se si tratta di una stampante di rete, visualizza il percorso per il server.

  • Commento: visualizza la posizione fisica della stampante e altre informazioni.

  • Proprietà: visualizza la finestra di dialogo Proprietà relativa alla stampante in cui è possibile impostare altre opzioni, ad esempio le dimensioni del foglio e le modalità di stampa della grafica.

Foglio

Consente di selezionare le dimensioni del foglio e il tipo di alimentazione tra quelli disponibili per la stampante selezionata.

  • Dimensione: visualizza l'elenco delle dimensioni disponibili per i fogli.

  • Alimentazione: visualizza il tipo di alimentazione disponibile per la stampante selezionata.

Orientamento

Consente di specificare due tipi di orientamento per la stampa: Verticale o Orizzontale.


Finestra di dialogo Inserisci file

Consente di cercare un file e di inserirlo in un modulo del progetto.

Opzioni della finestra di dialogo

Cerca in

Visualizza i computer, i server, le unità e le cartelle disponibili per il computer in modo che sia possibile cercare il progetto che si desidera aprire.

Cartella superiore

Visualizza l'elenco delle cartelle o delle unità disponibili nel livello immediatamente superiore rispetto al server, al computer o alla cartella correnti.

Crea nuova cartella

Crea una nuova cartella.

Elenco

Visualizza un elenco delle cartelle o dei documenti con il nome e l'icona corrispondenti.

Dettagli

Visualizza un elenco delle cartelle o dei documenti con l'icona e il nome della cartella o del documento, le dimensioni (solo per i documenti), il tipo e la data e l'ora dell'ultima modifica.

Nome file

Consente di selezionare o digitare il nome del file che si desidera inserire.

Tipo file

Consente di selezionare un tipo di file. L'impostazione predefinita è Files (*.txt). I file corrispondenti al tipo selezionato verranno visualizzati nella casella di riepilogo Nome file.

Apri

Inserisce il file selezionato.

Desktop

Consente di visualizzare un elenco delle cartelle e dei file disponibili nel desktop. I file e le cartelle vengono visualizzati nella casella Nome file.

Annulla

Chiude la finestra di dialogo senza inserire alcun nuovo file.


Finestra di dialogo Inserisci routine

Inserisce una nuova routine Sub, Function o Property. Questa finestra di dialogo consente inoltre di impostare l'area di validità (Public o Private) e di impostare come statiche tutte le variabili locali della routine.

Opzioni della finestra di dialogo

Nome

Consente di immettere il nome della nuova routine.

Tipo

Identifica il tipo di routine che si desidera creare.

  • Sub: crea una nuova routine Sub.

  • Function: crea una nuova routine Function.

  • Property: crea una nuova coppia di routine Property Let e Property Get.

Area di validità

Consente di impostare l'area di validità come Public o Private.

Tutte le variabili locali come Static

Aggiunge la parola chiave Static alla definizione della routine.

OK

Inserisce il modello della routine nella finestra del codice.

Annulla

Chiude la finestra di dialogo senza inserire una nuova routine.


Finestra di dialogo Macro

Consente di eseguire, modificare o eliminare la macro selezionata o di creare una nuova macro.

Opzioni della finestra di dialogo

Nome macro

Visualizza il nome della macro selezionata. Questa casella è vuota se nell'elenco delle macro non è disponibile alcuna macro.

Elenco delle macro

Visualizza l'elenco delle macro disponibili nel progetto selezionato nella casella Macro disponibili in.

Macro disponibili in

Visualizza i progetti disponibili.

Esegui

Esegue la macro selezionata.

Esegui istruzione

Evidenzia la prima riga della macro e posiziona l'indicatore che identifica la riga di esecuzione corrente in corrispondenza di tale riga.

Modifica

Apre la finestra del codice nel punto in cui si trova la macro selezionata in modo che sia possibile modificarla.

Crea

Apre un modulo nella finestra del codice in modo che sia possibile creare una nuova macro.

Elimina

Rimuove dal progetto la macro selezionata.


Finestra di dialogo Modifica espressione di controllo

Consente di eliminare o modificare il contesto o il tipo di un'espressione di controllo.

Importante Quando si seleziona un contesto per un'espressione di controllo, è consigliabile limitare il più possibile l'area di validità Se come area di validità si specificano tutte le routine e tutti i moduli, la velocità di esecuzione potrebbe ridursi notevolmente, in quanto l'espressione viene valutata dopo l'esecuzione di ogni istruzione. Se invece si seleziona come contesto una sola routine, la valutazione dell'espressione di controllo influisce sui tempi di esecuzione solo durante l'intervallo di tempo in cui la routine in questione è inclusa nell'elenco delle chiamate di routine attive.

Opzioni della finestra di dialogo

Espressione

Visualizza l'espressione selezionata (impostazione predefinita). L'espressione può essere rappresentata da una variabile, da una proprietà, da una chiamata a una funzione o da qualsiasi altra espressione valida. È inoltre possibile inserire in questa casella un'altra espressione di controllo che si desidera valutare.

Contesto

Imposta l'area di validità delle variabili controllate dall'espressione.

  • Routine: visualizza il nome della routine in cui si trova l'elemento selezionato (impostazione predefinita). Consente di specificare le routine per le quali l'espressione deve essere valutata. È possibile selezionare tutte le routine o un contesto rappresentato da una routine specifica in cui verrà valutata la variabile.

  • Modulo: visualizza il nome del modulo in cui si trova l'elemento selezionato (impostazione predefinita). È possibile selezionare tutti i moduli o un contesto rappresentato da un modulo specifico in cui verrà valutata la variabile.

  • Progetto: visualizza il nome del progetto corrente. Le espressioni non possono essere valutate in un contesto esterno al progetto corrente.

Tipo di controllo

Determina le modalità di risposta all'espressione di controllo da parte di Visual Basic.

  • Espressione di controllo: visualizza l'espressione di controllo e il relativo valore nella finestra Espressioni di controllo. Quando si passa in modalità interruzione, il valore dell'espressione di controllo viene aggiornato automaticamente.

  • Interrompi se il valore è vero: l'esecuzione viene interrotta in modo automatico quando l'espressione risulta vera o assume un qualsiasi valore diverso da zero (non valido per le espressioni stringa).

  • Interrompi se il valore cambia: l'esecuzione viene interrotta in modo automatico quando il valore dell'espressione cambia all'interno del contesto specificato.

Elimina

Elimina l'espressione di controllo.


Finestra di dialogo Nuova barra degli strumenti

Consente di assegnare un nome alla nuova barra degli strumenti creata.

Opzioni della finestra di dialogo

Nome

È possibile digitare un nuovo nome per la barra degli strumenti o utilizzare il nome predefinito. Il nome predefinito è diverso per ogni barra degli strumenti personalizzata, ad esempio Personalizza 1, Personalizza 2 e così via.


Finestra di dialogo Nuovo progetto

Consente di selezionare il tipo di progetto che si desidera creare. Se è aperto un altro progetto , verrà richiesto di salvare le modifiche prima che venga creato il progetto .

Opzioni della finestra di dialogo

Elenco di progetti

Visualizza i progetti validi che è possibile aggiungere.


Finestra di dialogo Opzioni

In questa finestra di dialogo è possibile modificare le impostazioni predefinite per l'ambiente di sviluppo Visual Basic.

Sono disponibili le seguenti schede:

  • Editor

  • Formato editor

  • Generale

  • Ancoraggio


Finestra di dialogo Opzioni membro

Consente di aggiungere informazioni della Guida o commenti relativi alle routine definite nel progetto.

Opzioni della finestra di dialogo

Nome membro

Visualizza il nome selezionato nelle caselle di riepilogo Classi o Membri di.

Descrizione

Consente di specificare una stringa che verrà visualizzata nel riquadro dei dettagli del Visualizzatore oggetti.

File della Guida

Visualizza il file della Guida associato all'elemento visualizzato nella casella Nome membro. Il file della Guida deve essere specificato nella casella Nome file della Guida disponibile nella scheda Generale della finestra di dialogo Proprietà progetto.

ID contesto Guida

Assegna un valore numerico univoco all'ID di contesto. Questo valore viene utilizzato per individuare l'argomento della Guida corretto nel file indicato nella casella File della Guida quando si preme F1 o si fa clic sul pulsante [image] nel Visualizzatore oggetti.


Finestra di dialogo Ordine delle pagine

In questa finestra di dialogo è possibile modificare l'ordine delle finestre di dialogo a schede.

Opzioni della finestra di dialogo

Ordine delle pagine

Visualizza un elenco delle finestre di dialogo a schede ordinate da sinistra a destra.

Sposta in alto

Consente di spostare di un livello verso l'alto la pagina selezionata nell'elenco.

Sposta in basso

Consente di spostare di un livello verso il basso la pagina selezionata nell'elenco.


Finestra di dialogo Ordine di tabulazione

Consente di visualizzare e di modificare l'ordine di tabulazione degli oggetti.

Opzioni della finestra di dialogo

Ordine di tabulazione

Visualizza l'elenco degli oggetti nell'ordine di tabulazione corrente assegnato a tali oggetti nel form.

Sposta in alto

Sposta l'oggetto selezionato nella posizione precedente nell'ordine di tabulazione ogni volta che si fa clic su questo pulsante.

Sposta in basso

Sposta l'oggetto selezionato nella posizione successiva nell'ordine di tabulazione ogni volta che si fa clic su questo pulsante.


Finestra di dialogo Personalizza

Consente di personalizzare le barre degli strumenti e i menu dell'interfaccia.

Schede

Barre degli strumenti

Consente di creare, rinominare, eliminare e reimpostare le barre degli strumenti.

Comandi

Contiene i comandi che è possibile trascinare nei menu o sulle barre degli strumenti.

Opzioni

Consente di modificare le dimensioni dei pulsanti delle barre degli strumenti, di attivare o disattivare la descrizione dei comandi e i tasti di scelta rapida per i pulsanti nonché di impostare funzioni di animazione per i menu.

Pulsante Assistente di Office

Visualizza l'Assistente di Office.


Finestra di dialogo Personalizza controllo

In questa finestra di dialogo è possibile modificare l'icona di un controllo e aggiungere una descrizione dei comandi.

Opzioni della finestra di dialogo

Descrizione controllo

Visualizza il testo della descrizione dei comandi.

Anteprima

Visualizza l'icona selezionata per il controllo.

Modifica immagine

Visualizza la finestra di dialogo Modifica immagine in cui è possibile modificare l'icona.

Carica immagine

Visualizza la finestra di dialogo Carica immagine, una finestra basata sulla finestra di dialogo Apri di Windows standard.


Finestra di dialogo Proprietà progetto

Consente di specificare le impostazioni per un determinato progetto.


Finestra di dialogo Riferimenti

Consente di selezionare gli oggetti di un'altra applicazione che si desidera rendere disponibili nel codice tramite l'impostazione di un riferimento alla libreria degli oggetti di tale applicazione.

Opzioni della finestra di dialogo

Riferimenti disponibili

Visualizza i riferimenti disponibili per il progetto.

  • Per impostare un riferimento a una libreria degli oggetti, selezionare la casella di controllo corrispondente alla libreria. In tal modo sarà possibile visualizzare nel Visualizzatore oggetti un determinato oggetto e i relativi metodi e proprietà.

  • Se non si utilizza alcun oggetto di una libreria per la quale è stato impostato un riferimento, è consigliabile deselezionare la casella di controllo corrispondente alla libreria per ridurre il numero dei riferimenti agli oggetti gestiti da Visual Basic e ridurre di conseguenza i tempi di compilazione del progetto. Non è possibile rimuovere un riferimento a un elemento utilizzato nel progetto.

  • Se si rimuove un riferimento a un oggetto utilizzato nel progetto, quando si farà riferimento a tale oggetto verrà generato un errore.

  • I riferimenti non utilizzati vengono elencati in ordine alfabetico.

    Nota Non è possibile rimuovere i riferimenti "Visual Basic For Applications" e "Oggetti e routine di Visual Basic" in quanto sono necessari per l'esecuzione di Visual Basic.

Pulsanti Priorità

Consentono di spostare i riferimenti verso l'alto, [image], e verso il basso, [image], nell'elenco. Quando si fa riferimento a un oggetto nel codice, verranno cercati tutte le librerie a cui viene fatto riferimento selezionate nella finestra di dialogo Riferimenti, nell'ordine in cui tali librerie sono visualizzate. Se due librerie a cui viene fatto riferimento hanno lo stesso nome, verrà utilizzata la definizione impostata per la libreria che si trova più in alto nell'elenco della casella di riepilogo Riferimenti disponibili.

Risultato

Visualizza il nome e il percorso e la lingua del riferimento selezionato nella casella di riepilogo Riferimenti disponibili.

Sfoglia

Visualizza la finestra di dialogo Aggiungi riferimento che consente di cercare in altre cartelle i tipi di file indicati di seguito e aggiungere i relativi riferimenti nella casella Riferimenti disponibili:

  • Librerie tipi (*.olb, *.tlb, *.dll)

  • File eseguibili (*.exe, *.dll)

  • Controlli ActiveX (*.ocx)

  • Tutti i file (*.*)

    La finestra di dialogo Aggiungi riferimento è basata sulla finestra Apri standard di Windows.


Finestra di dialogo Rinomina barra degli strumenti

Consente di modificare il nome delle barre degli strumenti personalizzate.

Opzioni della finestra di dialogo

Nome

Consente di digitare il nuovo nome che si desidera assegnare alla barra degli strumenti.


Finestra di dialogo Seleziona Certificato

Consente di selezionare il certificato desiderato da assegnare al progetto.

Opzioni della finestra di dialogo

Rilasciato a

Visualizza il proprietario del certificato.

Rilasciato da

Visualizza il nome di chi ha rilasciato il certificato.

Scopi previsti

Visualizza lo scopo del certificato.

Nome visualizzato

Visualizza il nome del certificato visualizzato agli utenti all'apertura di un documento a cui è associata una firma digitale.

Data scadenza

Visualizza la data di scadenza del certificato.

Percorso

Visualizza il percorso del certificato.

OK

Aggiunge il certificato selezionato nella finestra di dialogo Firma digitale.

Annulla

Chiude la finestra di dialogo senza selezionare alcun certificato.

Mostra certificato

Visualizza il certificato che apparirà agli utenti all'apertura di un documento a cui è associata una firma digitale.


Finestra di dialogo Stack di chiamate

Visualizza l'elenco delle chiamate alle routine attive in modalità interruzione. Durante l'esecuzione del codice di una routine o quando una routine viene richiamata da un altra routine, la routine in esecuzione o la routine chiamata viene inserita nell'elenco delle chiamate alle routine attive. Quando l'esecuzione passa nuovamente alla routine chiamante, la routine chiamata viene rimossa dall'elenco. Nell'elenco delle chiamate vengono inoltre inserite le routine chiamate tramite la finestra Immediata.

Opzioni della finestra di dialogo

Progetto.Modulo.Funzione

Visualizza l'elenco delle routine.

Mostra

Sposta il punto di inserimento nella posizione in cui è stata eseguita la chiamata e attiva l'indicatore dello stack di chiamate: .


Finestre di dialogo Carica immagine e Carica icona

Caricano rispettivamente un file immagine esistente.

Opzioni della finestra di dialogo

Cerca in

Consente di selezionare la posizione in cui si trova l'icona che si desidera aprire.

Cartella superiore

Visualizza l'elenco delle cartelle o delle unità disponibili nel livello immediatamente superiore rispetto alla cartella corrente.

Crea nuova cartella

Crea una nuova cartella.

Elenco

Visualizza un elenco delle cartelle o dei file con il nome e l'icona corrispondente.

Dettagli

Visualizza un elenco delle cartelle o dei file con l'icona e il nome della cartella o del file, le dimensioni, il tipo e la data e l'ora dell'ultima modifica.

Nome file

Consente di selezionare o digitare il nome del file immagine che si desidera aprire.

Tipo file

Consente di selezionare il tipo di file. I file corrispondenti al tipo selezionato verranno visualizzati nella casella di riepilogo Nome file.

  • Tutti i file immagine (*.bmp, *.dib, *.wmf, *.emf, *.ico, *.cur): visualizza tutti i file immagine.

  • Bitmap (*.bmp, *.dib): visualizza tutte le bitmap e i file DIB.

  • Metafile (*.wmf, *.wmf): visualizza tutti i metafile di Microsoft Windows.

  • Icone (*.ico, *.cur): visualizza le icone.

  • Tutti i file (*.*): visualizza tutti i tipi di file.

Apri

Apre il file selezionato.

Annulla

Chiude la finestra di dialogo senza caricare un file immagine.

Desktop

Visualizza un elenco delle cartelle e dei file disponibili sul desktop. I file e le cartelle sono visualizzati nella casella Nome file.


Scheda Ancoraggio (finestra di dialogo Opzioni)

Consente di scegliere le finestre che si desidera impostare come finestre ancorabili. Una finestra ancorata è bloccata lungo un bordo di un'altra finestra ancorabile o dell'applicazione e, se spostata, risulta bloccata in posizione. Una finestra non ancorabile può essere spostata e posizionata in qualsiasi punto dello schermo.

Selezionare le finestre da impostare come ancorabili e deselezionare le finestre che si desidera non siano ancorabili. È possibile selezionare qualsiasi finestra, oppure tutte o nessuna.


Scheda Barre degli strumenti (finestra di dialogo Personalizza)

Consente di creare, rinominare, eliminare e reimpostare le barre degli strumenti.

Opzioni della scheda

Casella Barre degli strumenti

Visualizza le barre degli strumenti di Visual Basic e quelle create dall'utente. Le barre visualizzate nell'interfaccia sono contrassegnate da un segno di spunta a sinistra del nome.

Nota È possibile reimpostare ma non nascondere la barra dei menu.

Nuova

Visualizza la finestra di dialogo Nuova barra degli strumenti in cui è possibile digitare il nome che si desidera assegnare alla nuova barra degli strumenti.

Rinomina

Visualizza la finestra di dialogo Rinomina barra degli strumenti in cui è possibile digitare il nuovo nome della barra degli strumenti selezionata. Disponibile solo se si seleziona una barra degli strumenti definita dall'utente.

Elimina

Elimina dal progetto una barra degli strumenti definita dall'utente. Disponibile solo se si seleziona una barra degli strumenti definita dall'utente.

Reimposta

Annulla le modifiche apportate alle barre degli strumenti predefinite ripristinando lo stato originale. Disponibile solo se si seleziona una barra degli strumenti predefinita.


Scheda Comandi (finestra di dialogo Personalizza)

Consente di aggiungere o di modificare i controlli della barra dei menu e delle barre degli strumenti. È inoltre possibile modificare l'immagine dei pulsanti o il testo dei comandi aggiunti.

Opzioni della scheda

Categorie

Visualizza l'elenco delle varie categorie dei comandi.

Comandi

Visualizza i controlli disponibili per la categoria selezionata nella casella di riepilogo Categorie. È possibile trascinare il comando desiderato sulla barra degli strumenti. Per inserire un comando in un menu, trascinare il comando sul titolo del menu, che verrà visualizzato. Sarà quindi possibile trascinare il comando nella posizione desiderata all'interno del menu.

Descrizione

Visualizza il suggerimento corrispondente al controllo selezionato.

Modifica selezione

Consente di modificare il comando selezionato.

  • Reimposta: ripristina le impostazioni predefinite del comando.

  • Elimina: elimina il comando

  • Nome: assegna al controllo il nome digitato in questa casella. È possibile utilizzare la "e" commerciale (&) per impostare i tasti di scelta rapida.

  • Copia icona pulsante: copia negli Appunti l'icona del pulsante.

  • Incolla icona pulsante: incolla l'icona del pulsante contenuta negli Appunti.

  • Reimposta icona pulsante: ripristina l'icona predefinita del pulsante.

  • Modifica icona pulsante: visualizza la finestra di dialogo Editor di pulsanti.

  • Cambia icona pulsante: visualizza un elenco di icone di pulsanti nel quale è possibile selezionare l'icona da assegnare al pulsante desiderato.

  • Stile predefinito: visualizza l'icona dei pulsanti delle barre degli strumenti e il nome e l'icona dei comandi di menu.

  • Solo testo: visualizza solo il nome del comando.

  • Solo testo (menu): nasconde l'eventuale icona dei comandi di menu. Questa opzione non ha effetto sui pulsanti delle barre degli strumenti.

  • Icona e testo: visualizza sia l'icona che il nome dei pulsanti della barra degli strumenti. Questa opzione non ha effetto sui comandi di menu.

  • Inizia un gruppo: inserisce un segno di separazione a sinistra del pulsante della barra degli strumenti selezionato. Questa opzione viene visualizzata a luminosità ridotta quando il controllo si trova all'inizio della barra degli strumenti.


Scheda Controlli (finestra di dialogo Componenti)

Consente di aggiungere controlli nella casella degli strumenti del progetto.

Nota Questa scheda non è disponibile in tutte le versioni dell'Editor di Visual Basic.

Opzioni della scheda

Elenco controlli disponibili

Visualizza l'elenco dei controlli disponibili che è possibile aggiungere selezionando la casella di controllo corrispondente.

Nota Non è possibile rimuovere un controllo in uso nel progetto.

Percorso

Visualizza il percorso del controllo selezionato nell'elenco dei controllo disponibili.

Sfoglia

Visualizza la finestra di dialogo Aggiungi controllo ActiveX tramite cui è possibile individuare e aprire il controllo desiderato.

Solo elementi selezionati

Se è selezionata, visualizza soltanto i controlli selezionati nell'elenco dei controllo disponibili, ovvero che si desidera includere nel progetto.

Applica

Aggiunge i controlli selezionati nella casella degli strumenti senza chiudere la finestra di dialogo.

OK

Aggiunge i controlli selezionati nella casella degli strumenti chiudendo la finestra di dialogo Componenti.


Scheda Crea (finestra di dialogo Proprietà progetto)

Nota Questa scheda non è disponibile in tutte le versioni dell'Editor di Visual Basic.

Consente di impostare gli attributi del file eseguibile creato. Nel titolo viene visualizzato il nome del progetto corrente su cui avranno effetto le modifiche apportate. Il progetto corrente corrisponde all'elemento selezionato in Gestione progetti.

Opzioni della scheda

Numero versione

Crea il numero di versione per il progetto.

  • Principale: numero della versione principale del progetto; è compreso tra 0 e 9999.

  • Secondario; numero della versione secondaria del progetto; è compreso tra 0 e 9999.

  • Revisione: numero di revisione della versione del progetto; è compreso tra 0 e 9999.

  • Incremento automatico: se è selezionata, il numero di revisione viene incrementato automaticamente di una unità a ogni esecuzione del comando Crea progetto per il progetto.

Informazioni sulla versione

Consente di fornire informazioni specifiche sulla versione corrente del progetto.

  • Tipo: informazioni utilizzabili per l'impostazione di un valore. È possibile specificare il nome della società, la descrizione del file, le note di copyright, i marchi di fabbrica, il nome del prodotto e commenti.

  • Valore: valore del tipo di informazioni selezionate nella casella Tipo.

Indirizzo di base DLL

Consente di impostare l'indirizzo di base.

Rimuovi informazioni sui controlli ActiveX non utilizzati

Consente di conservare le informazioni dei controlli non utilizzati, ovvero inclusi nella Casella degli strumenti, ma di cui non viene fatto riferimento nel codice. Deselezionare questa opzione soltanto quando si desidera aggiungere in modo manuale il controllo a cui viene fatto riferimento in fase di esecuzione tramite il metodo Add dell'insieme Controls.


Scheda Debug (finestra di dialogo Proprietà progetto)

Consente di specificare le operazioni aggiuntive da eseguire quando nell'ambiente IDE viene attivata la modalità esecuzione. Questa scheda non è disponibile in progetti EXE standard, ma soltanto nei progetti tramite cui è possibile creare componenti ActiveX quali controlli utente, documenti utente e finestre di progettazione ActiveX (ad esempio oggetti WebClass e pagine DHTML). Tali componenti sono in genere utilizzati da programmi client quale Internet Explorer, di cui è possibile automatizzare il processo di avvio nella scheda Debug.

Opzioni della scheda

All'avvio del progetto

Consente di impostare le opzioni di debug quando il progetto viene avviato.

Attendi che vengano creati i componenti

Indica che non deve essere eseguita alcuna operazioni in modalità esecuzione.

Avvia il componente

Il componente identifica quanto avviene. I tipi di componenti sono finestre di progettazione ActiveX speciali quali Progettazione DHTMLPage e Progettazione WebClass, nonché controlli utente e documenti utente. Se si seleziona un controllo utente o un documento utente, verrà avviato il browser e visualizzata una pagina di prova che contiene il componente. Il componente può indicare che venga eseguito l'avvio del browser con un indirizzo URL o l'avvio di un altro programma.

La selezione di un componente di avvio nella scheda Debug non ha alcun effetto sull'oggetto di avvio specificato nella scheda Generale. In un progetto ActiveX.dll, ad esempio, potrebbe essere specificato

Startup Object=Sub Main

e

Start Component=DHTMLPage1

Quando si esegue il progetto, vengono registrati il componente DHTMLPage1 e altri componenti , viene eseguita la routine Sub Main, viene quindi avviato Internet Explorer con un indirizzo URL che crea un'istanza di DHTMLPage1.

Avvia il programma

Consente di specificare il programma eseguibile desiderato.

Avvia il browser con l'URL

Consente di specificare l'indirizzo URL su cui il browser si deve spostare.

Usa il browser esistente

Viene utilizzato Internet Explorer se è già in esecuzione; in caso contrario, viene avviato un nuovo browser.


Scheda Editor (finestra di dialogo Opzioni)

Consente di specificare le impostazioni della finestra del codice e della finestra Progetto.

Opzioni della scheda

Impostazioni codice

  • Controllo automatico sintassi: determina se eseguire o meno un controllo automatico della sintassi dopo l'immissione di una riga di codice.

  • Dichiarazione di variabili obbligatoria: determina se le variabili devono essere dichiarate in modo esplicito nei moduli. Quando si seleziona questa opzione, nelle dichiarazioni generali dei nuovi moduli viene aggiunta l'istruzione Option Explicit.

  • Elenco membri automatico: visualizza un elenco dei dati con cui è possibile completare logicamente l'istruzione in cui si trova il punto di inserimento.

  • Informazioni rapide automatiche: visualizza informazioni sulle funzioni e sui parametri corrispondenti durante la digitazione.

  • Descrizione dati automatica: visualizza il valore della variabile su cui è posizionato il cursore. È disponibile soltanto in modalità interruzione.

  • Rientro automatico: consente di applicare una tabulazione alla prima riga di codice; tutte le righe di codice successive inizieranno dalla posizione della tabulazione.

  • Rientro tabulazione: consente di specificare le dimensioni del rientro della tabulazione. I possibili valori sono compresi tra 1 e 32 spazi; il rientro predefinito è uguale a 4 spazi.

Impostazioni finestra

  • Trascinamento della selezione: consente di trascinare elementi all'interno del codice corrente, nonché dalla finestra del codice alla finestra Immediata o Espressioni di controllo.

  • Visualizza modulo intero: consente di impostare lo stato predefinito dei nuovi moduli per consentire la visualizzazione delle routine nella finestra del codice in un elenco scorrevole oppure singolarmente. La modalità di visualizzazione dei moduli aperti rimane inalterata.

  • Separa routine: consente di visualizzare o nascondere le barre separatrici alla fine di ciascuna routine della finestra del codice.


Scheda Finestre di progettazione (finestra di dialogo Componenti)

Consente di aggiungere finestre di progettazione nel menu Inserisci del progetto.

Nota Questa scheda non è disponibile in tutte le versioni dell'Editor di Visual Basic.

Opzioni della scheda

Elenco delle finestre di progettazione disponibili

Visualizza l'elenco delle finestre di progettazione disponibili che è possibile aggiungere selezionando la casella di controllo corrispondente.

Nota Non è possibile rimuovere una finestra di progettazione in uso nel progetto.

Percorso

Visualizza il percorso della finestre di progettazione selezionata nell'elenco delle finestre di progettazione disponibili.

Solo elementi selezionati

Se è selezionata, visualizza soltanto le finestre di progettazione selezionate nell'elenco delle finestre di progettazione disponibili, ovvero che si desidera includere nel progetto.

Applica

Aggiunge le finestre di progettazione selezionate nel menu Inserisci senza chiudere la finestra di dialogo.

OK

Aggiunge le finestre di progettazione selezionate nel menu Inserisci chiudendo la finestra di dialogo Componenti.


Scheda Formato editor (finestra di dialogo Opzioni)

Consente di specificare l'aspetto del codice Visual Basic.

Opzioni della scheda

Colori codice

Determina i colori di sfondo e di primo piano per il tipo di testo selezionato nella casella di riepilogo.

  • La casella di riepilogo visualizza un elenco degli elementi di testo a cui sono applicati colori personalizzabili.

  • Primo piano: consente di impostare il colore di primo piano per il testo selezionato nella casella di riepilogo.

  • Sfondo: consente di impostare il colore di sfondo per il testo selezionato nella casella di riepilogo.

  • Indicatore: consente di impostare il colore della barra indicatori.

Tipo di carattere

Specifica il tipo di carattere per il codice.

Dimensione

Specifica le dimensioni del tipo di carattere applicato al codice.

Barra indicatori

Consente di visualizzare o nascondere la barra indicatori.

Esempio

Visualizza testo di esempio a cui sono state applicate le impostazioni di colore, dimensioni e tipo di carattere.


Scheda Generale (finestra di dialogo Opzioni)

Consente di specificare le impostazioni, la gestione degli errori e le impostazioni di compilazione per il progetto Visual Basic corrente.

Opzioni della scheda

Impostazioni griglia form

Determina l'aspetto del form quando viene modificato.

  • Mostra griglia: consente di visualizzare o nascondere la griglia.

  • Unità di misura: consente di impostare le unità di misura per il form.

  • Larghezza: consente di impostare la larghezza delle celle della griglia di un form (da 2 a 60 punti).

  • Altezza: consente di impostare l'altezza delle celle della griglia di un form (da 2 a 60 punti).

  • Allinea controlli alla griglia: posiziona automaticamente i bordi esterni dei controlli lungo le linee della griglia.

Mostra descrizione comandi

Visualizza le descrizioni dei comandi associate ai pulsanti della barra degli strumenti.

Comprimi progetto e nascondi finestre

Determina se le finestre del progetto, dell'oggetto UserForm, dell'oggetto o del modulo vengono chiuse automaticamente quando un progetto viene compresso nella finestra Gestione progetti.

Modifica e continuazione

  • Notifica prima di perdita stato: determina se visualizzare o meno un messaggio in cui si avvisa che con l'azione richiesta tutte le variabili a livello di modulo di un progetto in esecuzione verranno reimpostate.

Intercettazione degli errori

Determina la modalità di gestione degli errori nell'ambiente di sviluppo Visual Basic. Ha effetto su tutte le istanze di Visual Basic avviate dopo la modifica dell'opzione.

  • Interrompi ad ogni errore: quando si verifica un errore, nel progetto viene attivata la modalità interruzione, indipendentemente dal fatto che sia attivato un gestore degli errori o che il codice sia incluso in un modulo di classe.

  • Interrompi in modulo di classe: quando si verifica un errore non gestito in un modulo di classe, nel progetto viene attivata la modalità interruzione in corrispondenza della riga di codice del modulo di classe che ha generato l'errore.

  • Interrompi ad ogni errore non gestito: se è attivo un gestore degli errori, gli errori vengono intercettati senza attivare la modalità interruzione. In caso contrario, quando si verifica un errore viene attivata la modalità interruzione. Nel caso di un errore non gestito in un modulo di classe, tuttavia, nel progetto viene attivata la modalità interruzione in corrispondenza della riga di codice in cui è stata richiamata la routine di classe che ha generato l'errore.

Compilazione

  • Compila su richiesta: determina se un progetto deve essere compilato completamente prima di essere avviato o se il codice deve essere compilato su richiesta in modo da avviare l'applicazione in tempi più brevi.

  • Compila in background: determina se in fase di esecuzione il tempo di inattività viene utilizzato per completare la compilazione del progetto in background. Con questa opzione i tempi della fase di esecuzione vengono ridotti. È disponibile soltanto quando è selezionata anche l'opzione Compila su richiesta.


Scheda Generale (finestra di dialogo Proprietà progetto)

Consente di specificare le impostazioni per il progetto Visual Basic corrente. Il nome del progetto viene visualizzato sulla barra del titolo.

Opzioni della scheda

Nome progetto

Identifica il componente nel registro di configurazione di Windows e nel Visualizzatore oggetti. È importante che il nome sia univoco.

Il nome del progetto corrisponde al nome della libreria dei tipi del componente. La libreria dei tipi, o TypeLib, contiene la descrizione degli oggetti e delle interfacce fornite dal componente.

Viene inoltre utilizzato per qualificare i nomi delle classi. La combinazione tra il nome del progetto e il nome della classe viene a volte definita nome della classe completo oppure ID programmatico. Per identificare correttamente un oggetto come appartenente al componente in questione, potrebbe essere necessario il nome della classe completo.

Nome file della Guida

Visualizza il nome del file della Guida associato al progetto.

Descrizione progetto

Consente di specificare il testo descrittivo che verrà visualizzato nel riquadro della descrizione nella parte inferiore del Visualizzatore oggetti.

ID contesto Guida progetto

Visualizza l'ID di contesto relativo all'argomento della Guida specifico che verrà richiamato se si fa clic sul pulsante [image] quando nel Visualizzatore oggetti è selezionata la libreria degli oggetti dell'applicazione.

Argomenti di compilazione condizionale

Fornisce un elenco delle dichiarazioni di costanti utilizzate per la compilazione condizionale.


Scheda Opzioni (finestra di dialogo Personalizza)

Consente di modificare l'aspetto della barra dei menu e delle barre degli strumenti dell'interfaccia.

Opzioni della scheda

Icone grandi

Aumenta le dimensioni delle icone delle barre degli strumenti.

Mostra suggerimenti nelle barre degli strumenti

Attiva e disattiva i Suggerimenti su schermo.

Mostra tasti di scelta rapida nei suggerimenti

Visualizza nei menu i tasti di scelta rapida.

Menu animati

Visualizza l'elenco delle funzioni di animazione che è possibile impostare per la barra dei menu.


Scheda Protezione (finestra di dialogo Proprietà progetto)

Consente di impostare le opzioni di protezione per il progetto.

Opzioni della finestra di dialogo

Protezione progetto

Consente di bloccare il progetto in modo che altri utenti non possano modificarlo.

  • Proteggi progetto dalla visualizzazione: blocca il progetto impedendone la visualizzazione e la modifica.

Password per visualizzare le proprietà del progetto

Consente di impostare le password necessarie per visualizzare le proprietà del progetto.

  • Password: consente di impostare la password per il progetto. Se non si seleziona la casella di controllo Proteggi progetto dalla visualizzazione e si imposta una password, alla successiva apertura del progetto verrà richiesto di specificare una password per aprire la finestra Proprietà.

  • Conferma password: in questa casella è necessario immettere nuovamente la password digitata nella casella Password. Se il contenuto della casella Conferma password e della casella Password non corrispondono, quando si fa clic su OK verrà visualizzato un messaggio di errore.


Tasti della finestra del codice per l'esecuzione di operazioni generiche

Nella finestra del codice è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
F1 | Visualizzare la Guida sensibile al contesto relativa a funzioni, istruzioni, metodi, proprietà o eventi.
F2 | Aprire il Visualizzatore oggetti.
F9 | Impostare o rimuovere un punto di interruzione.
CTRL+MAIUSC+F9 | Rimuovere tutti i punti di interruzione.
F5 | Eseguire Sub/UserForm o una macro.
F8 | Eseguire il codice una riga alla volta (Esegui routine).
MAIUSC+F8 | Eseguire il codice una routine alla volta (Esegui istruzione/routine).
CTRL+INTERR | Interrompere l'esecuzione di un'applicazione Visual Basic.
HOME | Spostare il cursore all'inizio del testo in una riga.
FINE | Spostare il cursore alla fine del testo in una riga.
Doppio clic sulla barra di divisione | Disattivare la barra di divisione.
MAIUSC+F10 | Visualizzare il menu di scelta rapida.
ALT+F5 | Eseguire il codice del gestore di errori o restituire l'errore alla routine chiamante. Non influisce sull'intercettazione degli errori impostata nella scheda Generale della finestra di dialogo Opzioni.
ALT+F8 | Eseguire istruzione per istruzione il codice del gestore di errori o restituire l'errore alla routine chiamante. Non influisce sull'intercettazione degli errori impostata nella scheda Generale della finestra di dialogo Opzioni.
CTRL+J | Eseguire il comando Elenca proprietà/metodi.
CTRL+MAIUSC+J | Eseguire il comando Elenca costanti.
CTRL+I | Eseguire il comando Informazioni rapide.
CTRL+MAIUSC+I | Eseguire il comando Informazioni parametri.
CTRL+BARRA SPAZIATRICE | Eseguire il comando Completa parola.


Tasti della finestra UserForm

Nella finestra UserForm è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
MAIUSC+CTRL +CARATTERE | Selezionare una proprietà nella finestra Proprietà.
CARATTERE | Immettere un valore per la proprietà selezionata nella finestra Proprietà.
F7 | Aprire la finestra del codice per l'oggetto selezionato.
CANC o CANCELLA | Eliminare i controlli selezionati senza inserirli negli Appunti.
CTRL+Z | Annullare l'eliminazione di controlli.
TAB | Spostarsi in avanti tra i vari controlli seguendo l'ordine di tabulazione.
MAIUSC+TAB | Spostarsi all'indietro tra i vari controlli seguendo l'ordine di tabulazione.
CTRL+CLIC | Aggiungere o rimuovere un controllo dalla selezione.
CLIC+TRASCINA | Selezionare più controlli.
MAIUSC+CLIC | Selezionare più controlli.
CTRL+CLIC+TRASCINA | Aggiungere o rimuovere controlli dalla selezione corrente.
F6 | Visualizzare la finestra Proprietà (solo in fase di progettazione).
MAIUSC+F10 | Visualizzare i tasti di scelta rapida.
CTRL+J | Portare in primo piano (ha effetto solo sui controlli sovrapposti in fase di progettazione).
CTRL+K | Spostare in secondo piano (ha effetto solo sui controlli sovrapposti in fase di progettazione).

Per deselezionare tutti i controlli, fare clic sul form. Per selezionare i controlli di un contenitore, deselezionare il contenitore, quindi tenendo premuto CTRL fare clic e trascinare attorno ai controlli desiderati.


Tasti di spostamento per la finestra del codice

Per le operazioni di spostamento all'interno della finestra del codice è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
CTRL+F2 | Spostare il punto di inserimento nella casella Oggetto.
MAIUSC+F2 | Passare alla definizione della routine selezionata.
CTRL+FRECCIA GIÙ | Visualizzare la routine successiva.
CTRL+FRECCIA SU | Visualizzare la routine precedente.
PGGIÙ | Scorrere di una pagina verso il basso nel codice.
PGSU | Scorrere di una pagina verso l'alto nel codice.
CTRL+MAIUSC+F2 | Passare all'ultima riga del codice in cui è stata eseguita un'operazione di modifica.
CTRL+HOME | Passare all'inizio del modulo.
CTRL+FINE | Passare alla fine del modulo.
CTRL+FRECCIA DESTRA | Spostare il cursore di una parola verso destra.
CTRL+FRECCIA SINISTRA | Spostare il cursore di una parola verso sinistra.
FINE | Spostare il cursore alla fine della riga.
HOME | Spostare il cursore all'inizio della riga.
CTRL+PGGIÙ | Spostare il cursore alla fine della routine corrente.
CTRL+PGSU | Spostare il cursore all'inizio della routine corrente.
F6 | Spostarsi tra i riquadri della finestra del codice (quando la finestra è divisa).


Tasti generali

Le seguenti combinazioni di tasti possono essere utilizzate in tutte le finestre di Visual Basic:

Premere | Per
F5 | Eseguire Sub/UserForm o una macro.
F8 | Eseguire una riga di codice alla volta.
MAIUSC+F8 | Eseguire le istruzioni una riga alla volta eseguendo le routine richiamate come blocco unico, ovvero senza interrompere le chiamate di routine.
CTRL+INTERR | Interrompere l'esecuzione di un'applicazione Visual Basic.
CTRL+G | Visualizzare la finestra Immediata.
CTRL+TAB | Spostarsi tra le finestre.
ALT+F5 | Eseguire il codice del gestore di errori o restituire l'errore alla routine chiamante. Non influisce sull'intercettazione degli errori impostata nella scheda Generale della finestra di dialogo Opzioni.
ALT+F8 | Eseguire istruzione per istruzione il codice del gestore di errori o restituire l'errore alla routine chiamante. Non influisce sull'intercettazione degli errori impostata nella scheda Generale della finestra di dialogo Opzioni.

Le seguenti combinazioni di tasti possono essere utilizzate in tutte le applicazioni per Windows:

Premere | Per
F1 | Aprire la Guida.
ALT+F6 | Attivare alternativamente le ultime due finestre attive.
ALT+F4 | (Visual Basic) Chiudere la finestra attiva. Se vengono chiuse tutte le finestre, viene chiuso anche Visual Basic.
CTRL+C o F3 | Copiare negli Appunti le informazioni selezionate.
CTRL+X | Tagliare le informazioni selezionate e copiarle negli Appunti.
CTRL+V | Incollare il contenuto degli Appunti.
CTRL+Z | Annullare l'ultima modifica.
MAIUSC+F10 | Visualizzare il menu di scelta rapida.


Tasti per la modifica del codice

Per eseguire operazioni di modifica nella finestra del codice, è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
CTRL+C | Copiare negli Appunti il testo selezionato.
CTRL+X | Tagliare il testo selezionato e copiarlo negli Appunti.
CANC o CANCELLA | Eliminare il testo selezionato senza copiarlo negli Appunti.
CTRL+V | Incollare il contenuto degli Appunti in corrispondenza del punto di inserimento.
CTRL+Z | Annullare l'ultima modifica apportata alla riga corrente.
CTRL+Y | Tagliare la riga corrente e copiarla negli Appunti.
CTRL+CANC | Eliminare tutti i caratteri fino alla fine della parola.
CTRL+BACKSPACE | Eliminare tutti i caratteri fino all'inizio della parola.
MAIUSC+F4 | Trova successivo: ripetere la ricerca nel testo del codice verso il basso. Se non è stata eseguita alcuna ricerca, verrà visualizzata la finestra di dialogo Trova.
MAIUSC+F3 | Trova precedente: ripetere la ricerca nel testo del codice verso l'alto. Se non è stata eseguita alcuna ricerca, verrà visualizzata la finestra di dialogo Trova.
MAIUSC+TAB | Rimuovere il rientro.


Tasti di scelta rapida dei comandi di menu per la finestra del codice

Per scegliere alcuni comandi di menu quando è attiva la finestra del codice, è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per scegliere il comando
CTRL+P | Stampa
CTRL+Z | Annulla
CTRL+V | Incolla
CANC o CANCELLA | Elimina
CTRL+F | Trova
MAIUSC+F4 | Trova successivo
CTRL+H | Sostituisci
TAB | Aumenta rientro
MAIUSC+TAB | Riduci rientro
MAIUSC+F2 | Definizione
CTRL+MAIUSC+F2 | Ultima posizione
F2 | Visualizzatore oggetti
CTRL+G | Finestra Immediata
CTRL+R | Gestione progetti
F4 | Finestra Proprietà
F8 | Esegui istruzione
MAIUSC+F8 | Esegui istruzione/routine
CTRL+F8 | Esegui fino al cursore
F9 | Imposta/rimuovi punto di interruzione
CTRL+MAIUSC+F9 | Rimuovi punti di interruzione
F5 | Esegui Sub/Form o Esegui macro
CTRL+INTERR | Interrompi
MAIUSC+F10 | Per visualizzare il menu di scelta rapida
CTRL+J | Elenca proprietà/metodi
CTRL+MAIUSC+J | Elenca costanti
MAIUSC+F9 | Controllo immediato
CTRL+M | Importa file
CTRL+E | Esporta file
CTRL+I | Informazioni rapide
CTRL+MAIUSC+I | Informazioni parametri
CTRL+BARRA SPAZIATRICE | Completa parola


Tasti di scelta rapida per Gestione progetti

In Gestione progetti è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
INVIO | Aprire il file selezionato nell'elenco oppure espandere o comprimere l'elenco per visualizzare o nascondere gli elementi secondari.
MAIUSC+INVIO | Aprire la finestra del codice relativa al file selezionato.
F7 | Aprire la finestra del codice relativa al file selezionato.
MAIUSC+F10 | Visualizzare il menu di scelta rapida.
HOME | Selezionare il primo file dell'elenco.
FINE | Selezionare l'ultimo file dell'elenco.
FRECCIA DESTRA | Espandere un elenco e quindi selezionare in successione un elemento secondario alla volta.
FRECCIA SINISTRA | Selezionare un elemento secondario nell'elenco e quindi spostarsi verso l'alto ogni volta che si preme il tasto fino a quando l'ultimo elemento secondario viene compresso e viene visualizzata solo la cartella principale.
FRECCIA SU | Spostarsi verso l'alto nell'elenco un elemento alla volta.
FRECCIA GIÙ | Spostarsi verso il basso nell'elenco un elemento alla volta.


Tasti di scelta rapida per la finestra del codice

Nella finestra del codice è possibile utilizzare i seguenti tasti di scelta rapida:

Per | Tasti di scelta rapida
Aprire la finestra del codice | F7
Aprire il Visualizzatore oggetti | F2
Trovare il testo | CTRL+F
Sostituire il testo | CTRL+H
Trovare il testo di ricerca successivo | F3
Trovare il testo di ricerca precedente | MAIUSC+F3
Passare alla routine successiva | CTRL+FRECCIA GIÙ
Passare alla routine precedente | CTRL+FRECCIA SU
Visualizzare la definizione | MAIUSC+F2
Spostare il cursore di una schermata verso il basso | CTRL+PGGIÙ
Spostare il cursore di una schermata verso l'alto | CTRL+PGSU
Passare all'ultima posizione di modifica | CTRL+MAIUSC+F2
Passare all'inizio del modulo | CTRL+HOME
Passare alla fine del modulo | CTRL+FINE
Spostare il cursore di una parola a destra | CTRL+FRECCIA DESTRA
Spostare il cursore di una parola a sinistra | CTRL+FRECCIA SINISTRA
Spostare il cursore alla fine della riga | FINE
Spostare il cursore all'inizio della riga | HOME
Annullare l'ultima operazione | CTRL+Z
Eliminare la riga corrente | CTRL+Y
Eliminare i caratteri fino alla fine della parola | CTRL+CANC
Aumentare il rientro | TAB
Ridurre il rientro | MAIUSC+TAB
Rimuovere tutti i punti di interruzione | CTRL+MAIUSC+F9
Visualizzare il menu di scelta rapida | MAIUSC+F10


Tasti di scelta rapida per la finestra Espressioni di controllo

Nella finestra Espressioni di controllo è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
MAIUSC+INVIO | Visualizzare l'espressione di controllo selezionata.
CTRL+W | Visualizzare la finestra di dialogo Modifica espressione di controllo.
INVIO | Espandere o comprimere il valore di controllo selezionato quando a sinistra del valore è visualizzato un segno (+) o meno (-).
F2 | Visualizzare il Visualizzatore oggetti.
MAIUSC+F10 | Visualizzare il menu di scelta rapida.


Tasti di scelta rapida per la finestra Immediata

Nella finestra Immediata è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
INVIO | Eseguire la riga di codice selezionata.
CTRL+C | Copiare negli Appunti il testo selezionato.
CTRL+V | Incollare il contenuto degli Appunti in corrispondenza del punto di inserimento.
CTRL+X | Tagliare il testo selezionato e copiarlo negli Appunti.
CTRL+L | Visualizzare la finestra di dialogo Stack di chiamate (disponibile solo in modalità interruzione).
F5 | Continuare l'esecuzione dell'applicazione.
F8 | Eseguire il codice una riga alla volta (Esegui routine).
MAIUSC+F8 | Eseguire il codice una routine alla volta (Esegui istruzione/routine).
CANC o CANCELLA | Eliminare il testo selezionato senza copiarlo negli Appunti.
F2 | Aprire il Visualizzatore oggetti.
CTRL+INVIO | Inserire un ritorno a capo.
CTRL+HOME | Spostare il cursore all'inizio della finestra Immediata.
CTRL+FINE | Spostare il cursore alla fine della finestra Immediata.
MAIUSC+F10 | Visualizzare il menu di scelta rapida.
ALT+F5 | Eseguire il codice del gestore di errori o restituire l'errore alla routine chiamante. Non influisce sull'intercettazione degli errori impostata nella scheda Generale della finestra di dialogo Opzioni.
ALT+F8 | Eseguire istruzione per istruzione il codice del gestore di errori o restituire l'errore alla routine chiamante. Non influisce sull'intercettazione degli errori impostata nella scheda Generale della finestra di dialogo Opzioni.


Tasti di scelta rapida per la finestra Proprietà

Quando lo stato attivo si trova sull'elenco delle proprietà della finestra Proprietà, è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
PGGIÙ | Spostarsi verso il basso nell'elenco delle proprietà.
PGSU | Spostarsi verso l'alto nell'elenco delle proprietà.
FRECCIA GIÙ | Spostarsi verso il basso nell'elenco delle proprietà di una proprietà alla volta.
FRECCIA SU | Spostarsi verso l'alto nell'elenco delle proprietà di una proprietà alla volta.
FRECCIA DESTRA | Spostarsi verso il basso nell'elenco delle proprietà di una proprietà alla volta.
FRECCIA SINISTRA | Spostarsi verso l'alto nell'elenco delle proprietà di una proprietà alla volta.
FINE | Spostarsi sull'ultima proprietà dell'elenco.
HOME | Spostarsi sulla prima proprietà dell'elenco.
TAB | Spostarsi tra la casella delle proprietà, la casella delle impostazioni delle proprietà e la casella dell'oggetto.
CTRL+MAIUSC+CARATTERE | Spostarsi sulla prima proprietà dell'elenco il cui nome inizia con il carattere specificato.
Doppio clic | Spostarsi in modo ciclico tra le impostazioni delle proprietà elencate o spostare lo stato attivo sull'elenco delle impostazioni per gli altri tipi di proprietà.
ALT+F6 | Spostarsi alternativamente tra le ultime due finestre attivate.

Quando lo stato attivo si trova sulla casella delle impostazioni della finestra Proprietà, è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
CTRL+Z | Annullare l'ultima modifica apportata alla riga corrente.
CTRL+C | Copiare negli Appunti il testo selezionato.
CTRL+X | Tagliare il testo selezionato e copiarlo negli Appunti.
CANC o CANCELLA | Eliminare il testo selezionato senza copiarlo negli Appunti.
CTRL+V | Incollare il contenuto degli Appunti in corrispondenza del punto di inserimento.
MAIUSC+TAB | Spostarsi tra la casella Oggetto e la scheda Proprietà attiva.
TAB | Spostarsi tra la casella Oggetto, la scheda Proprietà attiva, una proprietà e il valore della proprietà.
ESC | Annullare la modifica all'impostazione della proprietà.
CTRL+MAIUSC+CARATTERE | Spostarsi sulla prima proprietà dell'elenco il cui nome inizia con il carattere specificato.

Se per una proprietà è disponibile un elenco di valori e lo stato attivo si trova sulla casella delle impostazioni corrispondente nella finestra Proprietà, è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
ALT+FRECCIA GIÙ | Visualizzare l'elenco delle impostazioni.
ALT+FRECCIA SU | Chiudere l'elenco delle impostazioni.

Se durante la modifica delle impostazioni delle proprietà BackColor, ForeColor, FillColor o BorderColor, lo stato attivo si trova sulla casella delle impostazioni nella finestra Proprietà, è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
ALT+FRECCIA GIÙ | Visualizzare la Tavolozza dei colori.
ALT+FRECCIA SU | Chiudere la Tavolozza dei colori.

Se durante la modifica delle impostazioni delle proprietà Icon o Picture, lo stato attivo si trova sulla casella delle impostazioni nella finestra Proprietà, è possibile utilizzare le seguenti combinazioni di tasti:

Premere | Per
ALT+FRECCIA GIÙ | Visualizzare la finestra di dialogo Carica icona o Carica immagine.
ALT+FRECCIA SU | Visualizzare la finestra di dialogo Carica icona o Carica immagine.


Caratteri jolly utilizzati per i confronti tra stringhe

La funzione incorporata di confronto tramite criteri di ricerca è uno strumento molto versatile per i confronti tra stringhe. Nella seguente tabella vengono elencati i caratteri jolly che è possibile utilizzare in combinazione con l'operatore Like nonché il numero di cifre o stringhe in base alle quali la ricerca della corrispondenza ha esito positivo.

Caratteri in criterio | Corrispondenze in espressione
? | Qualsiasi carattere singolo
* | Zero o più caratteri
# | Qualsiasi cifra singola (0-9)
[elencocaratteri] | Qualsiasi carattere singolo in elencocaratteri
[!elencocaratteri] | Qualsiasi carattere singolo non in elencocaratteri

È possibile utilizzare un gruppo di uno o più caratteri (elencocaratteri) racchiuso tra parentesi quadre ([ ]) per trovare una corrispondenza con qualsiasi carattere singolo in espressione. In elencocaratteri è possibile specificare quasi tutti i caratteri del set di caratteri ANSI comprese le cifre. I caratteri speciali parentesi quadra aperta, ([ ), punto interrogativo (?), simbolo di numero (#) e asterisco (*) possono essere utilizzati per trovarne la corrispondenza solo se vengono racchiusi tra parentesi quadre. Per trovare una corrispondenza con la parentesi quadra chiusa ( ]), è necessario specificarla all'esterno di un gruppo come carattere singolo.

Il segnaposto elencocaratteri può essere rappresentato sia da un semplice elenco di caratteri racchiusi tra parentesi quadre che da un intervallo di caratteri. Nel secondo caso viene utilizzato il trattino (-) per separare il limite superiore dell'intervallo dal limite inferiore. Se, ad esempio, per criterio si specifica [A-Z] verrà individuata una corrispondenza se nella posizione corrispondente in espressione è presente una qualsiasi lettera maiuscola compresa nell'intervallo da A a Z. All'interno delle parentesi quadre è possibile specificare più intervalli senza carattere di separazione. Il criterio di ricerca [a-zA-Z0-9] consente ad esempio di individuare una corrispondenza con qualsiasi carattere alfanumerico.

Di seguito vengono elencate alcune importanti regole da seguire per l'impostazione dei criteri di ricerca:

  • Il punto esclamativo (!) all'inizio di elencocaratteri indica che la ricerca della corrispondenza avrà esito positivo solo se in espressione non vengono individuati i caratteri specificati in elencocaratteri. Se il punto esclamativo viene utilizzato all'esterno delle parentesi quadre, verrà cercata la corrispondenza con il punto esclamativo stesso.

  • Il trattino (-) può essere utilizzato all'inizio (dopo un punto esclamativo se specificato) o alla fine di elencocaratteri per trovare una corrispondenza con il trattino stesso. In qualsiasi altra posizione il trattino viene utilizzato per identificare un intervallo di caratteri ANSI.

  • Se si specifica un intervallo di caratteri, è necessario che venga indicato in ordine crescente (A-Z o 0-100). [A-Z] è un criterio di ricerca valido, mentre [Z-A] non lo è.

  • La sequenza di caratteri [ ] viene ignorata in quanto viene considerata come una stringa di lunghezza zero ("").


Icone utilizzate nel Visualizzatore oggetti e nella finestra del codice

Nel Visualizzatore oggetti e nella finestra del codice vengono visualizzate numerose icone che rappresentano classi e membri. Di seguito vengono elencate le icone e gli elementi che rappresentano.

Icona | Elemento rappresentato
 | Proprietà
 | Proprietà predefinita
 | Metodo
 | Metodo predefinito
 | Evento
 | Costante
 | Modulo
 | Classe
 | Tipo definito dall'utente
 | Elemento globale
 | Libreria
 | Progetto
 | Chiavi e tipi predefiniti
 | Elemento di tipo Enum


(Untitled)

Argomento non trovato

Non è stato trovato nessun argomento corrispondente. Di seguito vengono indicate alcune possibili cause e le relative soluzioni.

Causa | Soluzione
L'argomento cercato non è incluso nel sottogruppo attivo selezionato. | Impostare come sottogruppo attivo un sottogruppo appropriato oppure passare al sottogruppo (Insieme completo).
Il collegamento non è aggiornato. | Utilizzare l'indice o la funzione di ricerca.
Il collegamento non è stato digitato in modo corretto. | Utilizzare l'indice o la funzione di ricerca.
Problemi con l'installazione di MSDN. | Disinstallare MSDN Library e quindi rieseguire il programma di installazione.

Per ulteriori informazioni sui sottogruppi, le funzioni di ricerca, l'indice e l'installazione, vedere la Guida di MSDN Library.


Finestra di dialogo Protezione

In questa finestra di dialogo è possibile impostare il livello di protezione applicato quando si apre un documento o rimuovere un certificato dall'elenco delle fonti attendibili.

Scheda Livello di protezione

Tramite le impostazioni disponibili in questa scheda è possibile specificare il livello di protezione applicato quando si aprono documenti o si caricano aggiunte.

Alta

È possibile eseguire codice soltanto in progetti VBA associati a una firma digitale e inclusi nell'elenco delle fonti attendibili (descritto più avanti in questo argomento). Se il certificato per un progetto a cui è associato una firma digitale è già incluso nell'elenco delle fonti attendibili, verrà attivato automaticamente senza alcun avviso. In caso contrario, verrà visualizzato un avviso e sarà possibile scegliere se attivare o disattivare il codice VBA. Se si attiva il codice, sarà possibile aggiungere il nome dello sviluppatore nell'elenco delle fonti attendibili. Prima di accettare una fonte come attendibile, è necessario confermare la responsabilità di tale fonte e, prima di associare una firma digitale alle macro, eseguire un programma di rilevazione di virus. I progetti VBA non associati a una firma digitale vengono disattivati automaticamente senza alcun avviso. Con questo livello di protezione non è possibile attivare progetti VBA non associati a una forma digitale.

Media

Ad ogni caricamento di un progetto VBA da una fonte non inclusa nell'elenco di fonti attendibili viene visualizzato un avviso. È possibile scegliere se attivare o disattivare sia i progetti VBA associati a una firma digitale che i progetti privi di firma digitale. Se si ritiene che il progetto possa essere infettato da virus, è consigliabile disattivare l'aggiunta. Se al progetto è stata associata una forma digitale, è possibile aggiungere il nome dello sviluppatore nell'elenco delle fonti attendibili. Prima di accettare una fonte come attendibile, è necessario confermare la responsabilità di tale fonte e, prima di associare una firma digitale alle macro, eseguire un programma di rilevazione di virus.

Bassa

Se tutti i progetti VBA caricati sono protetti, è possibile selezionare questa opzione con cui viene disattivata la protezione da virus. Con questo livello di protezione i progetti VBA vengono sempre attivati.

Scheda Fonti attendibili

In questa scheda sono elencati i certificati attendibili che è possibile utilizzare per associare una forma digitale ai documenti e alle aggiunte. Quando si apre un documento a cui è associata una firma digitale, la firma viene visualizzata sullo schermo del computer come certificato. Il certificato include il nome della fonte del progetto VBA e informazioni aggiuntive sull'identità e l'integrità di tale fonte. Una firma digitale non è necessariamente una garanzia di protezione per il progetto ed è necessario stabilire se rendere attendibile un progetto a cui è stata associata una firma digitale. Se le macro di una fonte specifica sono sempre attendibili, quando si apre il progetto è possibile aggiungere nell'elenco delle fonti attendibili il nome dello sviluppatore che le ha create.

Pulsante Rimuovi

Se nell'elenco delle fonti attendibili è stato aggiunto un certificato alla prima apertura del progetto VBA a cui è associato tale certificato e successivamente la fonte non viene resa attendibile, è possibile rimuovere il certificato dall'elenco delle fonti attendibili tramite il pulsante Rimuovi. Alla successiva apertura di un progetto a cui è associato tale certificato, verrà applicata la modalità di protezione da virus corrispondente all'impostazione della scheda Livello di protezione.


Comando Mostra membri nascosti (menu di scelta rapida del Visualizzatore oggetti)

Mostra e nasconde i membri nascosti per ogni classe nel Visualizzatore oggetti. I membri nascosti non devono essere utilizzati dagli sviluppatori di oggetti riutilizzabili e non vengono normalmente visualizzati nel Visualizzatore oggetti. Quando si sceglie questo comando, i membri nascosti verranno visualizzati a luminosità ridotta.


Comando Zoom

Consente di ridurre e ingrandire la visualizzazione del form selezionato. È possibile scegliere o specificare una percentuale di ingrandimento o riduzione compresa tra 10 e 400 percento.

Questo comando è disponibile soltanto sulla barra degli strumenti UserForm.

Pulsante della barra degli strumenti:


Selezione non univoca

Non è stata selezionata alcuna parola chiave oppure sono state richieste le informazioni dell'Aiuto per un componente dell'ambiente di sviluppo integrato (IDE). Nel primo caso, provare a selezionare di nuovo la parola chiave. Nel secondo caso, fare clic su uno dei seguenti argomenti:

Finestra del codice o del modulo

Finestra o riquadro Immediata

Finestra o riquadro Variabili locali

Visualizzatore oggetti

Finestra o riquadro Espressioni di controllo


Tipi di dati visualizzati nella finestra Variabili locali

Di seguito sono elencati i tipi di dati e il relativo stato predefinito visualizzato nella finestra Variabili locali.

Tipo di dati | Stato predefinito
Currency | Viene visualizzato il valore.
Double | Viene visualizzato il valore.
Integer | Viene visualizzato il valore
Long | Viene visualizzato il valore.
Single | Viene visualizzato il valore.
String | Viene visualizzato il valore.
UDT | Non viene visualizzato alcun valore. Non modificabile. Compresso.
Variant | Viene visualizzato il valore.
Object | Non viene visualizzato alcun valore. Non modificabile. Compresso.
Decimal | Viene visualizzato il valore.
Array | Non viene visualizzato alcun valore. Non modificabile. Compresso.


Visual Basic

In Visual Basic sono disponibili diverse forme di documentazione create per agevolare l'apprendimento e l'utilizzo delle varie funzioni del prodotto. La documentazione di Visual Basic include:

  • Guida per l'interfaccia utente

    Vengono fornite informazioni sugli elementi di interfaccia dell'editor di Visual Basic, quali ad esempio comandi, finestre di dialogo, finestre e barre degli strumenti.

  • Argomenti concettuali

    Gli argomenti della Guida concettuale contengono informazioni esplicative sulla programmazione in Visual Basic.

  • Argomenti sulle procedure

    In questa sezione della Guida vengono descritte le procedure più comuni, ad esempio l'utilizzo del Visualizzatore oggetti o l'impostazione delle opzioni dell'ambiente Visual Basic.

  • Riferimento al linguaggio

    Nel Riferimento al linguaggio vengono fornite informazioni dettagliate sul linguaggio Visual Basic, ovvero i metodi, le proprietà, le istruzioni, le funzioni, gli operatori e gli oggetti disponibili.

  • Modello di aggiunte

    In questo riferimento al linguaggio viene descritto il modello di oggetti che consente di estendere l'ambiente di sviluppo quando si desidera personalizzare l'editor di Visual Basic.

  • Guida di riferimento su Microsoft Forms

    Vengono fornite informazioni su oggetti UserForm e controlli, nonché sull'utilizzo di questi elementi per la programmazione in Visual Basic.


Casella della descrizione dei dati

Visualizza il valore della variabile sulla quale è posizionato il cursore.

Se, ad esempio, si imposta x=5 e quindi si imposta un punto di interruzione prima della fine del codice, quando si esegue il codice e si posiziona il cursore su "x", nella finestra della descrizione dei dati verrà visualizzato il valore 5.

Disponibile in modalità interruzione.


Indicatori a margine

In Visual Basic sono disponibili gli indicatori a margine che forniscono indicazioni visive su alcune operazioni relative al codice. Se a una riga corrispondono più operazioni, verranno visualizzati gli indicatori appropriati.

Gli indicatori a margine vengono visualizzati sulla barra indicatori lungo il margine sinistro della finestra del codice.

Per attivare o disattivare la barra indicatori, utilizzare la scheda Formato editor della finestra di dialogo Opzioni.

Indicatore a margine | Nome dell'indicatore a margine | Descrizione
 | Punto di interruzione | Indica che è stato impostato un punto di interruzione tramite il comando Imposta/rimuovi punto di interruzione del menu Debug. Per attivare o disattivare il punto di interruzione, posizionare il puntatore del mouse sull'area degli indicatori a margine e fare clic.
 | Riga di esecuzione corrente | Indica quale riga di codice verrà eseguita successivamente. È possibile trascinare l'indicatore a margine in una nuova posizione all'interno di un modulo di codice in esecuzione. Se si trascina l'indicatore su un'area o una riga non valida, non viene eseguita alcuna operazione e l'indicatore torna nuovamente nella posizione originale.
 | Segnalibro | Indica la posizione di un segnalibro impostato tramite il comando Imposta/rimuovi segnalibro del menu Modifica.
 | Indicatore dello stack di chiamate | Indica le righe che si trovano nello stack di chiamate. Questo indicatore viene visualizzato solo in modalità interruzione.